searchData={"items":[{"type":"module","title":"GoogleApi.Slides.V1","doc":"API client metadata for GoogleApi.Slides.V1.","ref":"GoogleApi.Slides.V1.html"},{"type":"function","title":"GoogleApi.Slides.V1.discovery_revision/0","doc":"","ref":"GoogleApi.Slides.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.Slides.V1.Api.Presentations","doc":"API calls for all endpoints tagged `Presentations`.","ref":"GoogleApi.Slides.V1.Api.Presentations.html"},{"type":"function","title":"GoogleApi.Slides.V1.Api.Presentations.slides_presentations_batch_update/4","doc":"Applies one or more updates to the presentation. Each request is validated before being applied. If any request is not valid, then the entire request will fail and nothing will be applied. Some requests have replies to give you some information about how they are applied. Other requests do not need to return information; these each return an empty reply. The order of replies matches that of the requests. For example, suppose you call batchUpdate with four updates, and only the third one returns information. The response would have two empty replies: the reply to the third request, and another empty reply, in that order. Because other users may be editing the presentation, the presentation might not exactly reflect your changes: your changes may be altered with respect to collaborator changes. If there are no collaborators, the presentation should reflect your changes. In any case, the updates in your request are guaranteed to be applied together atomically.","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.Slides.V1.Api.Presentations.slides_presentations_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.Slides.V1.Connection.t`) - Connection to server\n*   `presentation_id` (*type:* `String.t`) - The presentation to apply the updates to.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Slides.V1.Api.Presentations.slides_presentations_batch_update/4","doc":"*   `{:ok, %GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_batch_update/4-returns"},{"type":"function","title":"GoogleApi.Slides.V1.Api.Presentations.slides_presentations_create/3","doc":"Creates a blank presentation using the title given in the request. If a `presentationId` is provided, it is used as the ID of the new presentation. Otherwise, a new ID is generated. Other fields in the request, including any provided content, are ignored. Returns the created presentation.","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_create/3"},{"type":"function","title":"Parameters - GoogleApi.Slides.V1.Api.Presentations.slides_presentations_create/3","doc":"*   `connection` (*type:* `GoogleApi.Slides.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Slides.V1.Model.Presentation.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_create/3-parameters"},{"type":"function","title":"Returns - GoogleApi.Slides.V1.Api.Presentations.slides_presentations_create/3","doc":"*   `{:ok, %GoogleApi.Slides.V1.Model.Presentation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_create/3-returns"},{"type":"function","title":"GoogleApi.Slides.V1.Api.Presentations.slides_presentations_get/4","doc":"Gets the latest version of the specified presentation.","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Slides.V1.Api.Presentations.slides_presentations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Slides.V1.Connection.t`) - Connection to server\n*   `presentation_id` (*type:* `String.t`) - The ID of the presentation to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Slides.V1.Api.Presentations.slides_presentations_get/4","doc":"*   `{:ok, %GoogleApi.Slides.V1.Model.Presentation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_get/4-returns"},{"type":"function","title":"GoogleApi.Slides.V1.Api.Presentations.slides_presentations_pages_get/5","doc":"Gets the latest version of the specified page in the presentation.","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_pages_get/5"},{"type":"function","title":"Parameters - GoogleApi.Slides.V1.Api.Presentations.slides_presentations_pages_get/5","doc":"*   `connection` (*type:* `GoogleApi.Slides.V1.Connection.t`) - Connection to server\n*   `presentation_id` (*type:* `String.t`) - The ID of the presentation to retrieve.\n*   `page_object_id` (*type:* `String.t`) - The object ID of the page to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_pages_get/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Slides.V1.Api.Presentations.slides_presentations_pages_get/5","doc":"*   `{:ok, %GoogleApi.Slides.V1.Model.Page{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_pages_get/5-returns"},{"type":"function","title":"GoogleApi.Slides.V1.Api.Presentations.slides_presentations_pages_get_thumbnail/5","doc":"Generates a thumbnail of the latest version of the specified page in the presentation and returns a URL to the thumbnail image. This request counts as an [expensive read request](/slides/limits) for quota purposes.","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_pages_get_thumbnail/5"},{"type":"function","title":"Parameters - GoogleApi.Slides.V1.Api.Presentations.slides_presentations_pages_get_thumbnail/5","doc":"*   `connection` (*type:* `GoogleApi.Slides.V1.Connection.t`) - Connection to server\n*   `presentation_id` (*type:* `String.t`) - The ID of the presentation to retrieve.\n*   `page_object_id` (*type:* `String.t`) - The object ID of the page whose thumbnail to retrieve.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:\"thumbnailProperties.mimeType\"` (*type:* `String.t`) - The optional mime type of the thumbnail image. If you don't specify the mime type, the mime type defaults to PNG.\n    *   `:\"thumbnailProperties.thumbnailSize\"` (*type:* `String.t`) - The optional thumbnail image size. If you don't specify the size, the server chooses a default size of the image.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_pages_get_thumbnail/5-parameters"},{"type":"function","title":"Returns - GoogleApi.Slides.V1.Api.Presentations.slides_presentations_pages_get_thumbnail/5","doc":"*   `{:ok, %GoogleApi.Slides.V1.Model.Thumbnail{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Slides.V1.Api.Presentations.html#slides_presentations_pages_get_thumbnail/5-returns"},{"type":"module","title":"GoogleApi.Slides.V1.Connection","doc":"Handle Tesla connections for GoogleApi.Slides.V1.","ref":"GoogleApi.Slides.V1.Connection.html"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Slides.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Slides.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.Slides.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.Slides.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.Slides.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Slides.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Slides.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Slides.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Slides.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.Slides.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.Slides.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Slides.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.Slides.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.Slides.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.Slides.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.Slides.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Slides.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Slides.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Slides.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Slides.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Slides.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Slides.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Slides.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Slides.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Slides.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.Slides.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.Slides.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.Slides.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.Slides.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.Slides.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.Slides.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Slides.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.Slides.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Slides.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.Slides.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.Slides.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.Slides.V1.Connection.t/0","doc":"","ref":"GoogleApi.Slides.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.AffineTransform","doc":"AffineTransform uses a 3x3 matrix with an implied last row of [ 0 0 1 ] to transform source coordinates (x,y) into destination coordinates (x', y') according to: x' x = shear_y scale_y translate_y 1 [ 1 ] After transformation, x' = scale_x * x + shear_x * y + translate_x; y' = scale_y * y + shear_y * x + translate_y; This message is therefore composed of these six matrix elements.","ref":"GoogleApi.Slides.V1.Model.AffineTransform.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.AffineTransform","doc":"*   `scaleX` (*type:* `float()`, *default:* `nil`) - The X coordinate scaling element.\n*   `scaleY` (*type:* `float()`, *default:* `nil`) - The Y coordinate scaling element.\n*   `shearX` (*type:* `float()`, *default:* `nil`) - The X coordinate shearing element.\n*   `shearY` (*type:* `float()`, *default:* `nil`) - The Y coordinate shearing element.\n*   `translateX` (*type:* `float()`, *default:* `nil`) - The X coordinate translation element.\n*   `translateY` (*type:* `float()`, *default:* `nil`) - The Y coordinate translation element.\n*   `unit` (*type:* `String.t`, *default:* `nil`) - The units for translate elements.","ref":"GoogleApi.Slides.V1.Model.AffineTransform.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.AffineTransform.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.AffineTransform.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.AffineTransform.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.AffineTransform.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.AutoText","doc":"A TextElement kind that represents auto text.","ref":"GoogleApi.Slides.V1.Model.AutoText.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.AutoText","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - The rendered content of this auto text, if available.\n*   `style` (*type:* `GoogleApi.Slides.V1.Model.TextStyle.t`, *default:* `nil`) - The styling applied to this auto text.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of this auto text.","ref":"GoogleApi.Slides.V1.Model.AutoText.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.AutoText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.AutoText.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.AutoText.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.AutoText.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Autofit","doc":"The autofit properties of a Shape.","ref":"GoogleApi.Slides.V1.Model.Autofit.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Autofit","doc":"*   `autofitType` (*type:* `String.t`, *default:* `nil`) - The autofit type of the shape. If the autofit type is AUTOFIT_TYPE_UNSPECIFIED, the autofit type is inherited from a parent placeholder if it exists. The field is automatically set to NONE if a request is made that might affect text fitting within its bounding text box. In this case the font_scale is applied to the font_size and the line_spacing_reduction is applied to the line_spacing. Both properties are also reset to default values.\n*   `fontScale` (*type:* `number()`, *default:* `nil`) - The font scale applied to the shape. For shapes with autofit_type NONE or SHAPE_AUTOFIT, this value is the default value of 1. For TEXT_AUTOFIT, this value multiplied by the font_size gives the font size that is rendered in the editor. This property is read-only.\n*   `lineSpacingReduction` (*type:* `number()`, *default:* `nil`) - The line spacing reduction applied to the shape. For shapes with autofit_type NONE or SHAPE_AUTOFIT, this value is the default value of 0. For TEXT_AUTOFIT, this value subtracted from the line_spacing gives the line spacing that is rendered in the editor. This property is read-only.","ref":"GoogleApi.Slides.V1.Model.Autofit.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Autofit.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Autofit.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Autofit.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Autofit.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest","doc":"Request message for PresentationsService.BatchUpdatePresentation.","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest","doc":"*   `requests` (*type:* `list(GoogleApi.Slides.V1.Model.Request.t)`, *default:* `nil`) - A list of updates to apply to the presentation.\n*   `writeControl` (*type:* `GoogleApi.Slides.V1.Model.WriteControl.t`, *default:* `nil`) - Provides control over how write requests are executed.","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse","doc":"Response message from a batch update.","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse","doc":"*   `presentationId` (*type:* `String.t`, *default:* `nil`) - The presentation the updates were applied to.\n*   `replies` (*type:* `list(GoogleApi.Slides.V1.Model.Response.t)`, *default:* `nil`) - The reply of the updates. This maps 1:1 with the updates, although replies to some requests may be empty.\n*   `writeControl` (*type:* `GoogleApi.Slides.V1.Model.WriteControl.t`, *default:* `nil`) - The updated write control after applying the request.","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.BatchUpdatePresentationResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Bullet","doc":"Describes the bullet of a paragraph.","ref":"GoogleApi.Slides.V1.Model.Bullet.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Bullet","doc":"*   `bulletStyle` (*type:* `GoogleApi.Slides.V1.Model.TextStyle.t`, *default:* `nil`) - The paragraph specific text style applied to this bullet.\n*   `glyph` (*type:* `String.t`, *default:* `nil`) - The rendered bullet glyph for this paragraph.\n*   `listId` (*type:* `String.t`, *default:* `nil`) - The ID of the list this paragraph belongs to.\n*   `nestingLevel` (*type:* `integer()`, *default:* `nil`) - The nesting level of this paragraph in the list.","ref":"GoogleApi.Slides.V1.Model.Bullet.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Bullet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Bullet.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Bullet.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Bullet.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ColorScheme","doc":"The palette of predefined colors for a page.","ref":"GoogleApi.Slides.V1.Model.ColorScheme.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ColorScheme","doc":"*   `colors` (*type:* `list(GoogleApi.Slides.V1.Model.ThemeColorPair.t)`, *default:* `nil`) - The ThemeColorType and corresponding concrete color pairs.","ref":"GoogleApi.Slides.V1.Model.ColorScheme.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ColorScheme.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ColorScheme.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ColorScheme.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ColorScheme.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ColorStop","doc":"A color and position in a gradient band.","ref":"GoogleApi.Slides.V1.Model.ColorStop.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ColorStop","doc":"*   `alpha` (*type:* `number()`, *default:* `nil`) - The alpha value of this color in the gradient band. Defaults to 1.0, fully opaque.\n*   `color` (*type:* `GoogleApi.Slides.V1.Model.OpaqueColor.t`, *default:* `nil`) - The color of the gradient stop.\n*   `position` (*type:* `number()`, *default:* `nil`) - The relative position of the color stop in the gradient band measured in percentage. The value should be in the interval [0.0, 1.0].","ref":"GoogleApi.Slides.V1.Model.ColorStop.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ColorStop.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ColorStop.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ColorStop.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ColorStop.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateImageRequest","doc":"Creates an image.","ref":"GoogleApi.Slides.V1.Model.CreateImageRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateImageRequest","doc":"*   `elementProperties` (*type:* `GoogleApi.Slides.V1.Model.PageElementProperties.t`, *default:* `nil`) - The element properties for the image. When the aspect ratio of the provided size does not match the image aspect ratio, the image is scaled and centered with respect to the size in order to maintain the aspect ratio. The provided transform is applied after this operation. The PageElementProperties.size property is optional. If you don't specify the size, the default size of the image is used. The PageElementProperties.transform property is optional. If you don't specify a transform, the image will be placed at the top-left corner of the page.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - A user-supplied object ID. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex `[a-zA-Z0-9_]`); remaining characters may include those as well as a hyphen or colon (matches regex `[a-zA-Z0-9_-:]`). The length of the ID must not be less than 5 or greater than 50. If you don't specify an ID, a unique one is generated.\n*   `url` (*type:* `String.t`, *default:* `nil`) - The image URL. The image is fetched once at insertion time and a copy is stored for display inside the presentation. Images must be less than 50 MB in size, can't exceed 25 megapixels, and must be in one of PNG, JPEG, or GIF formats. The provided URL must be publicly accessible and up to 2 KB in length. The URL is saved with the image, and exposed through the Image.source_url field.","ref":"GoogleApi.Slides.V1.Model.CreateImageRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateImageRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateImageRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateImageRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateImageRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateImageResponse","doc":"The result of creating an image.","ref":"GoogleApi.Slides.V1.Model.CreateImageResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateImageResponse","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the created image.","ref":"GoogleApi.Slides.V1.Model.CreateImageResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateImageResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateImageResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateImageResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateImageResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateLineRequest","doc":"Creates a line.","ref":"GoogleApi.Slides.V1.Model.CreateLineRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateLineRequest","doc":"*   `category` (*type:* `String.t`, *default:* `nil`) - The category of the line to be created. The exact line type created is determined based on the category and how it's routed to connect to other page elements. If you specify both a `category` and a `line_category`, the `category` takes precedence. If you do not specify a value for `category`, but specify a value for `line_category`, then the specified `line_category` value is used. If you do not specify either, then STRAIGHT is used.\n*   `elementProperties` (*type:* `GoogleApi.Slides.V1.Model.PageElementProperties.t`, *default:* `nil`) - The element properties for the line.\n*   `lineCategory` (*type:* `String.t`, *default:* `nil`) - The category of the line to be created. *Deprecated*: use `category` instead. The exact line type created is determined based on the category and how it's routed to connect to other page elements. If you specify both a `category` and a `line_category`, the `category` takes precedence.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - A user-supplied object ID. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex `[a-zA-Z0-9_]`); remaining characters may include those as well as a hyphen or colon (matches regex `[a-zA-Z0-9_-:]`). The length of the ID must not be less than 5 or greater than 50. If you don't specify an ID, a unique one is generated.","ref":"GoogleApi.Slides.V1.Model.CreateLineRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateLineRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateLineRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateLineRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateLineRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateLineResponse","doc":"The result of creating a line.","ref":"GoogleApi.Slides.V1.Model.CreateLineResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateLineResponse","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the created line.","ref":"GoogleApi.Slides.V1.Model.CreateLineResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateLineResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateLineResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateLineResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateLineResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest","doc":"Creates bullets for all of the paragraphs that overlap with the given text index range. The nesting level of each paragraph will be determined by counting leading tabs in front of each paragraph. To avoid excess space between the bullet and the corresponding paragraph, these leading tabs are removed by this request. This may change the indices of parts of the text. If the paragraph immediately before paragraphs being updated is in a list with a matching preset, the paragraphs being updated are added to that preceding list.","ref":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest","doc":"*   `bulletPreset` (*type:* `String.t`, *default:* `nil`) - The kinds of bullet glyphs to be used. Defaults to the `BULLET_DISC_CIRCLE_SQUARE` preset.\n*   `cellLocation` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The optional table cell location if the text to be modified is in a table cell. If present, the object_id must refer to a table.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the shape or table containing the text to add bullets to.\n*   `textRange` (*type:* `GoogleApi.Slides.V1.Model.Range.t`, *default:* `nil`) - The range of text to apply the bullet presets to, based on TextElement indexes.","ref":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateShapeRequest","doc":"Creates a new shape.","ref":"GoogleApi.Slides.V1.Model.CreateShapeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateShapeRequest","doc":"*   `elementProperties` (*type:* `GoogleApi.Slides.V1.Model.PageElementProperties.t`, *default:* `nil`) - The element properties for the shape.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - A user-supplied object ID. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex `[a-zA-Z0-9_]`); remaining characters may include those as well as a hyphen or colon (matches regex `[a-zA-Z0-9_-:]`). The length of the ID must not be less than 5 or greater than 50. If empty, a unique identifier will be generated.\n*   `shapeType` (*type:* `String.t`, *default:* `nil`) - The shape type.","ref":"GoogleApi.Slides.V1.Model.CreateShapeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateShapeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateShapeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateShapeRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateShapeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateShapeResponse","doc":"The result of creating a shape.","ref":"GoogleApi.Slides.V1.Model.CreateShapeResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateShapeResponse","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the created shape.","ref":"GoogleApi.Slides.V1.Model.CreateShapeResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateShapeResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateShapeResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateShapeResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateShapeResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest","doc":"Creates an embedded Google Sheets chart. NOTE: Chart creation requires at least one of the spreadsheets.readonly, spreadsheets, drive.readonly, drive.file, or drive OAuth scopes.","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateSheetsChartRequest","doc":"*   `chartId` (*type:* `integer()`, *default:* `nil`) - The ID of the specific chart in the Google Sheets spreadsheet.\n*   `elementProperties` (*type:* `GoogleApi.Slides.V1.Model.PageElementProperties.t`, *default:* `nil`) - The element properties for the chart. When the aspect ratio of the provided size does not match the chart aspect ratio, the chart is scaled and centered with respect to the size in order to maintain aspect ratio. The provided transform is applied after this operation.\n*   `linkingMode` (*type:* `String.t`, *default:* `nil`) - The mode with which the chart is linked to the source spreadsheet. When not specified, the chart will be an image that is not linked.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - A user-supplied object ID. If specified, the ID must be unique among all pages and page elements in the presentation. The ID should start with a word character [a-zA-Z0-9_] and then followed by any number of the following characters [a-zA-Z0-9_-:]. The length of the ID should not be less than 5 or greater than 50. If empty, a unique identifier will be generated.\n*   `spreadsheetId` (*type:* `String.t`, *default:* `nil`) - The ID of the Google Sheets spreadsheet that contains the chart. You might need to add a resource key to the HTTP header for a subset of old files. For more information, see [Access link-shared files using resource keys](https://developers.google.com/drive/api/v3/resource-keys).","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse","doc":"The result of creating an embedded Google Sheets chart.","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateSheetsChartResponse","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the created chart.","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateSlideRequest","doc":"Creates a slide.","ref":"GoogleApi.Slides.V1.Model.CreateSlideRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateSlideRequest","doc":"*   `insertionIndex` (*type:* `integer()`, *default:* `nil`) - The optional zero-based index indicating where to insert the slides. If you don't specify an index, the slide is created at the end.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - A user-supplied object ID. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex `[a-zA-Z0-9_]`); remaining characters may include those as well as a hyphen or colon (matches regex `[a-zA-Z0-9_-:]`). The ID length must be between 5 and 50 characters, inclusive. If you don't specify an ID, a unique one is generated.\n*   `placeholderIdMappings` (*type:* `list(GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.t)`, *default:* `nil`) - An optional list of object ID mappings from the placeholder(s) on the layout to the placeholders that are created on the slide from the specified layout. Can only be used when `slide_layout_reference` is specified.\n*   `slideLayoutReference` (*type:* `GoogleApi.Slides.V1.Model.LayoutReference.t`, *default:* `nil`) - Layout reference of the slide to be inserted, based on the *current master*, which is one of the following: - The master of the previous slide index. - The master of the first slide, if the insertion_index is zero. - The first master in the presentation, if there are no slides. If the LayoutReference is not found in the current master, a 400 bad request error is returned. If you don't specify a layout reference, the slide uses the predefined `BLANK` layout.","ref":"GoogleApi.Slides.V1.Model.CreateSlideRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateSlideRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateSlideRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateSlideRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateSlideRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateSlideResponse","doc":"The result of creating a slide.","ref":"GoogleApi.Slides.V1.Model.CreateSlideResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateSlideResponse","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the created slide.","ref":"GoogleApi.Slides.V1.Model.CreateSlideResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateSlideResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateSlideResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateSlideResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateSlideResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateTableRequest","doc":"Creates a new table.","ref":"GoogleApi.Slides.V1.Model.CreateTableRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateTableRequest","doc":"*   `columns` (*type:* `integer()`, *default:* `nil`) - Number of columns in the table.\n*   `elementProperties` (*type:* `GoogleApi.Slides.V1.Model.PageElementProperties.t`, *default:* `nil`) - The element properties for the table. The table will be created at the provided size, subject to a minimum size. If no size is provided, the table will be automatically sized. Table transforms must have a scale of 1 and no shear components. If no transform is provided, the table will be centered on the page.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - A user-supplied object ID. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex `[a-zA-Z0-9_]`); remaining characters may include those as well as a hyphen or colon (matches regex `[a-zA-Z0-9_-:]`). The length of the ID must not be less than 5 or greater than 50. If you don't specify an ID, a unique one is generated.\n*   `rows` (*type:* `integer()`, *default:* `nil`) - Number of rows in the table.","ref":"GoogleApi.Slides.V1.Model.CreateTableRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateTableRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateTableRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateTableRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateTableRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateTableResponse","doc":"The result of creating a table.","ref":"GoogleApi.Slides.V1.Model.CreateTableResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateTableResponse","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the created table.","ref":"GoogleApi.Slides.V1.Model.CreateTableResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateTableResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateTableResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateTableResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateTableResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateVideoRequest","doc":"Creates a video. NOTE: Creating a video from Google Drive requires that the requesting app have at least one of the drive, drive.readonly, or drive.file OAuth scopes.","ref":"GoogleApi.Slides.V1.Model.CreateVideoRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateVideoRequest","doc":"*   `elementProperties` (*type:* `GoogleApi.Slides.V1.Model.PageElementProperties.t`, *default:* `nil`) - The element properties for the video. The PageElementProperties.size property is optional. If you don't specify a size, a default size is chosen by the server. The PageElementProperties.transform property is optional. The transform must not have shear components. If you don't specify a transform, the video will be placed at the top left corner of the page.\n*   `id` (*type:* `String.t`, *default:* `nil`) - The video source's unique identifier for this video. e.g. For YouTube video https://www.youtube.com/watch?v=7U3axjORYZ0, the ID is 7U3axjORYZ0. For a Google Drive video https://drive.google.com/file/d/1xCgQLFTJi5_Xl8DgW_lcUYq5e-q6Hi5Q the ID is 1xCgQLFTJi5_Xl8DgW_lcUYq5e-q6Hi5Q. To access a Google Drive video file, you might need to add a resource key to the HTTP header for a subset of old files. For more information, see [Access link-shared files using resource keys](https://developers.google.com/drive/api/v3/resource-keys).\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - A user-supplied object ID. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex `[a-zA-Z0-9_]`); remaining characters may include those as well as a hyphen or colon (matches regex `[a-zA-Z0-9_-:]`). The length of the ID must not be less than 5 or greater than 50. If you don't specify an ID, a unique one is generated.\n*   `source` (*type:* `String.t`, *default:* `nil`) - The video source.","ref":"GoogleApi.Slides.V1.Model.CreateVideoRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateVideoRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateVideoRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateVideoRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateVideoRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CreateVideoResponse","doc":"The result of creating a video.","ref":"GoogleApi.Slides.V1.Model.CreateVideoResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CreateVideoResponse","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the created video.","ref":"GoogleApi.Slides.V1.Model.CreateVideoResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CreateVideoResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CreateVideoResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CreateVideoResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CreateVideoResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.CropProperties","doc":"The crop properties of an object enclosed in a container. For example, an Image. The crop properties is represented by the offsets of four edges which define a crop rectangle. The offsets are measured in percentage from the corresponding edges of the object's original bounding rectangle towards inside, relative to the object's original dimensions. - If the offset is in the interval (0, 1), the corresponding edge of crop rectangle is positioned inside of the object's original bounding rectangle. - If the offset is negative or greater than 1, the corresponding edge of crop rectangle is positioned outside of the object's original bounding rectangle. - If the left edge of the crop rectangle is on the right side of its right edge, the object will be flipped horizontally. - If the top edge of the crop rectangle is below its bottom edge, the object will be flipped vertically. - If all offsets and rotation angle is 0, the object is not cropped. After cropping, the content in the crop rectangle will be stretched to fit its container.","ref":"GoogleApi.Slides.V1.Model.CropProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.CropProperties","doc":"*   `angle` (*type:* `number()`, *default:* `nil`) - The rotation angle of the crop window around its center, in radians. Rotation angle is applied after the offset.\n*   `bottomOffset` (*type:* `number()`, *default:* `nil`) - The offset specifies the bottom edge of the crop rectangle that is located above the original bounding rectangle bottom edge, relative to the object's original height.\n*   `leftOffset` (*type:* `number()`, *default:* `nil`) - The offset specifies the left edge of the crop rectangle that is located to the right of the original bounding rectangle left edge, relative to the object's original width.\n*   `rightOffset` (*type:* `number()`, *default:* `nil`) - The offset specifies the right edge of the crop rectangle that is located to the left of the original bounding rectangle right edge, relative to the object's original width.\n*   `topOffset` (*type:* `number()`, *default:* `nil`) - The offset specifies the top edge of the crop rectangle that is located below the original bounding rectangle top edge, relative to the object's original height.","ref":"GoogleApi.Slides.V1.Model.CropProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.CropProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.CropProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.CropProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.CropProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.DeleteObjectRequest","doc":"Deletes an object, either pages or page elements, from the presentation.","ref":"GoogleApi.Slides.V1.Model.DeleteObjectRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.DeleteObjectRequest","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the page or page element to delete. If after a delete operation a group contains only 1 or no page elements, the group is also deleted. If a placeholder is deleted on a layout, any empty inheriting placeholders are also deleted.","ref":"GoogleApi.Slides.V1.Model.DeleteObjectRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.DeleteObjectRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DeleteObjectRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.DeleteObjectRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.DeleteObjectRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest","doc":"Deletes bullets from all of the paragraphs that overlap with the given text index range. The nesting level of each paragraph will be visually preserved by adding indent to the start of the corresponding paragraph.","ref":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest","doc":"*   `cellLocation` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The optional table cell location if the text to be modified is in a table cell. If present, the object_id must refer to a table.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the shape or table containing the text to delete bullets from.\n*   `textRange` (*type:* `GoogleApi.Slides.V1.Model.Range.t`, *default:* `nil`) - The range of text to delete bullets from, based on TextElement indexes.","ref":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest","doc":"Deletes a column from a table.","ref":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.DeleteTableColumnRequest","doc":"*   `cellLocation` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The reference table cell location from which a column will be deleted. The column this cell spans will be deleted. If this is a merged cell, multiple columns will be deleted. If no columns remain in the table after this deletion, the whole table is deleted.\n*   `tableObjectId` (*type:* `String.t`, *default:* `nil`) - The table to delete columns from.","ref":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest","doc":"Deletes a row from a table.","ref":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.DeleteTableRowRequest","doc":"*   `cellLocation` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The reference table cell location from which a row will be deleted. The row this cell spans will be deleted. If this is a merged cell, multiple rows will be deleted. If no rows remain in the table after this deletion, the whole table is deleted.\n*   `tableObjectId` (*type:* `String.t`, *default:* `nil`) - The table to delete rows from.","ref":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.DeleteTableRowRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.DeleteTextRequest","doc":"Deletes text from a shape or a table cell.","ref":"GoogleApi.Slides.V1.Model.DeleteTextRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.DeleteTextRequest","doc":"*   `cellLocation` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The optional table cell location if the text is to be deleted from a table cell. If present, the object_id must refer to a table.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the shape or table from which the text will be deleted.\n*   `textRange` (*type:* `GoogleApi.Slides.V1.Model.Range.t`, *default:* `nil`) - The range of text to delete, based on TextElement indexes. There is always an implicit newline character at the end of a shape's or table cell's text that cannot be deleted. `Range.Type.ALL` will use the correct bounds, but care must be taken when specifying explicit bounds for range types `FROM_START_INDEX` and `FIXED_RANGE`. For example, if the text is \"ABC\", followed by an implicit newline, then the maximum value is 2 for `text_range.start_index` and 3 for `text_range.end_index`. Deleting text that crosses a paragraph boundary may result in changes to paragraph styles and lists as the two paragraphs are merged. Ranges that include only one code unit of a surrogate pair are expanded to include both code units.","ref":"GoogleApi.Slides.V1.Model.DeleteTextRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.DeleteTextRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DeleteTextRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.DeleteTextRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.DeleteTextRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Dimension","doc":"A magnitude in a single direction in the specified units.","ref":"GoogleApi.Slides.V1.Model.Dimension.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Dimension","doc":"*   `magnitude` (*type:* `float()`, *default:* `nil`) - The magnitude.\n*   `unit` (*type:* `String.t`, *default:* `nil`) - The units for magnitude.","ref":"GoogleApi.Slides.V1.Model.Dimension.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Dimension.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Dimension.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Dimension.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Dimension.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest","doc":"Duplicates a slide or page element. When duplicating a slide, the duplicate slide will be created immediately following the specified slide. When duplicating a page element, the duplicate will be placed on the same page at the same position as the original.","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.DuplicateObjectRequest","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The ID of the object to duplicate.\n*   `objectIds` (*type:* `map()`, *default:* `nil`) - The object being duplicated may contain other objects, for example when duplicating a slide or a group page element. This map defines how the IDs of duplicated objects are generated: the keys are the IDs of the original objects and its values are the IDs that will be assigned to the corresponding duplicate object. The ID of the source object's duplicate may be specified in this map as well, using the same value of the `object_id` field as a key and the newly desired ID as the value. All keys must correspond to existing IDs in the presentation. All values must be unique in the presentation and must start with an alphanumeric character or an underscore (matches regex `[a-zA-Z0-9_]`); remaining characters may include those as well as a hyphen or colon (matches regex `[a-zA-Z0-9_-:]`). The length of the new ID must not be less than 5 or greater than 50. If any IDs of source objects are omitted from the map, a new random ID will be assigned. If the map is empty or unset, all duplicate objects will receive a new random ID.","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse","doc":"The response of duplicating an object.","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.DuplicateObjectResponse","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The ID of the new duplicate object.","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.DuplicateObjectResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Group","doc":"A PageElement kind representing a joined collection of PageElements.","ref":"GoogleApi.Slides.V1.Model.Group.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Group","doc":"*   `children` (*type:* `list(GoogleApi.Slides.V1.Model.PageElement.t)`, *default:* `nil`) - The collection of elements in the group. The minimum size of a group is 2.","ref":"GoogleApi.Slides.V1.Model.Group.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Group.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Group.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Group.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Group.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.GroupObjectsRequest","doc":"Groups objects to create an object group. For example, groups PageElements to create a Group on the same page as all the children.","ref":"GoogleApi.Slides.V1.Model.GroupObjectsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.GroupObjectsRequest","doc":"*   `childrenObjectIds` (*type:* `list(String.t)`, *default:* `nil`) - The object IDs of the objects to group. Only page elements can be grouped. There should be at least two page elements on the same page that are not already in another group. Some page elements, such as videos, tables and placeholders cannot be grouped.\n*   `groupObjectId` (*type:* `String.t`, *default:* `nil`) - A user-supplied object ID for the group to be created. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex `[a-zA-Z0-9_]`); remaining characters may include those as well as a hyphen or colon (matches regex `[a-zA-Z0-9_-:]`). The length of the ID must not be less than 5 or greater than 50. If you don't specify an ID, a unique one is generated.","ref":"GoogleApi.Slides.V1.Model.GroupObjectsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.GroupObjectsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.GroupObjectsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.GroupObjectsRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.GroupObjectsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.GroupObjectsResponse","doc":"The result of grouping objects.","ref":"GoogleApi.Slides.V1.Model.GroupObjectsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.GroupObjectsResponse","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the created group.","ref":"GoogleApi.Slides.V1.Model.GroupObjectsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.GroupObjectsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.GroupObjectsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.GroupObjectsResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.GroupObjectsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Image","doc":"A PageElement kind representing an image.","ref":"GoogleApi.Slides.V1.Model.Image.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Image","doc":"*   `contentUrl` (*type:* `String.t`, *default:* `nil`) - An URL to an image with a default lifetime of 30 minutes. This URL is tagged with the account of the requester. Anyone with the URL effectively accesses the image as the original requester. Access to the image may be lost if the presentation's sharing settings change.\n*   `imageProperties` (*type:* `GoogleApi.Slides.V1.Model.ImageProperties.t`, *default:* `nil`) - The properties of the image.\n*   `placeholder` (*type:* `GoogleApi.Slides.V1.Model.Placeholder.t`, *default:* `nil`) - Placeholders are page elements that inherit from corresponding placeholders on layouts and masters. If set, the image is a placeholder image and any inherited properties can be resolved by looking at the parent placeholder identified by the Placeholder.parent_object_id field.\n*   `sourceUrl` (*type:* `String.t`, *default:* `nil`) - The source URL is the URL used to insert the image. The source URL can be empty.","ref":"GoogleApi.Slides.V1.Model.Image.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Image.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Image.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Image.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Image.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ImageProperties","doc":"The properties of the Image.","ref":"GoogleApi.Slides.V1.Model.ImageProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ImageProperties","doc":"*   `brightness` (*type:* `number()`, *default:* `nil`) - The brightness effect of the image. The value should be in the interval [-1.0, 1.0], where 0 means no effect. This property is read-only.\n*   `contrast` (*type:* `number()`, *default:* `nil`) - The contrast effect of the image. The value should be in the interval [-1.0, 1.0], where 0 means no effect. This property is read-only.\n*   `cropProperties` (*type:* `GoogleApi.Slides.V1.Model.CropProperties.t`, *default:* `nil`) - The crop properties of the image. If not set, the image is not cropped. This property is read-only.\n*   `link` (*type:* `GoogleApi.Slides.V1.Model.Link.t`, *default:* `nil`) - The hyperlink destination of the image. If unset, there is no link.\n*   `outline` (*type:* `GoogleApi.Slides.V1.Model.Outline.t`, *default:* `nil`) - The outline of the image. If not set, the image has no outline.\n*   `recolor` (*type:* `GoogleApi.Slides.V1.Model.Recolor.t`, *default:* `nil`) - The recolor effect of the image. If not set, the image is not recolored. This property is read-only.\n*   `shadow` (*type:* `GoogleApi.Slides.V1.Model.Shadow.t`, *default:* `nil`) - The shadow of the image. If not set, the image has no shadow. This property is read-only.\n*   `transparency` (*type:* `number()`, *default:* `nil`) - The transparency effect of the image. The value should be in the interval [0.0, 1.0], where 0 means no effect and 1 means completely transparent. This property is read-only.","ref":"GoogleApi.Slides.V1.Model.ImageProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ImageProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ImageProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ImageProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ImageProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest","doc":"Inserts columns into a table. Other columns in the table will be resized to fit the new column.","ref":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.InsertTableColumnsRequest","doc":"*   `cellLocation` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The reference table cell location from which columns will be inserted. A new column will be inserted to the left (or right) of the column where the reference cell is. If the reference cell is a merged cell, a new column will be inserted to the left (or right) of the merged cell.\n*   `insertRight` (*type:* `boolean()`, *default:* `nil`) - Whether to insert new columns to the right of the reference cell location. - `True`: insert to the right. - `False`: insert to the left.\n*   `number` (*type:* `integer()`, *default:* `nil`) - The number of columns to be inserted. Maximum 20 per request.\n*   `tableObjectId` (*type:* `String.t`, *default:* `nil`) - The table to insert columns into.","ref":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest","doc":"Inserts rows into a table.","ref":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.InsertTableRowsRequest","doc":"*   `cellLocation` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The reference table cell location from which rows will be inserted. A new row will be inserted above (or below) the row where the reference cell is. If the reference cell is a merged cell, a new row will be inserted above (or below) the merged cell.\n*   `insertBelow` (*type:* `boolean()`, *default:* `nil`) - Whether to insert new rows below the reference cell location. - `True`: insert below the cell. - `False`: insert above the cell.\n*   `number` (*type:* `integer()`, *default:* `nil`) - The number of rows to be inserted. Maximum 20 per request.\n*   `tableObjectId` (*type:* `String.t`, *default:* `nil`) - The table to insert rows into.","ref":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.InsertTableRowsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.InsertTextRequest","doc":"Inserts text into a shape or a table cell.","ref":"GoogleApi.Slides.V1.Model.InsertTextRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.InsertTextRequest","doc":"*   `cellLocation` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The optional table cell location if the text is to be inserted into a table cell. If present, the object_id must refer to a table.\n*   `insertionIndex` (*type:* `integer()`, *default:* `nil`) - The index where the text will be inserted, in Unicode code units, based on TextElement indexes. The index is zero-based and is computed from the start of the string. The index may be adjusted to prevent insertions inside Unicode grapheme clusters. In these cases, the text will be inserted immediately after the grapheme cluster.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the shape or table where the text will be inserted.\n*   `text` (*type:* `String.t`, *default:* `nil`) - The text to be inserted. Inserting a newline character will implicitly create a new ParagraphMarker at that index. The paragraph style of the new paragraph will be copied from the paragraph at the current insertion index, including lists and bullets. Text styles for inserted text will be determined automatically, generally preserving the styling of neighboring text. In most cases, the text will be added to the TextRun that exists at the insertion index. Some control characters (U+0000-U+0008, U+000C-U+001F) and characters from the Unicode Basic Multilingual Plane Private Use Area (U+E000-U+F8FF) will be stripped out of the inserted text.","ref":"GoogleApi.Slides.V1.Model.InsertTextRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.InsertTextRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.InsertTextRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.InsertTextRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.InsertTextRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping","doc":"The user-specified ID mapping for a placeholder that will be created on a slide from a specified layout.","ref":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping","doc":"*   `layoutPlaceholder` (*type:* `GoogleApi.Slides.V1.Model.Placeholder.t`, *default:* `nil`) - The placeholder on a layout that will be applied to a slide. Only type and index are needed. For example, a predefined `TITLE_AND_BODY` layout may usually have a TITLE placeholder with index 0 and a BODY placeholder with index 0.\n*   `layoutPlaceholderObjectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the placeholder on a layout that will be applied to a slide.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - A user-supplied object ID for the placeholder identified above that to be created onto a slide. If you specify an ID, it must be unique among all pages and page elements in the presentation. The ID must start with an alphanumeric character or an underscore (matches regex `[a-zA-Z0-9_]`); remaining characters may include those as well as a hyphen or colon (matches regex `[a-zA-Z0-9_-:]`). The length of the ID must not be less than 5 or greater than 50. If you don't specify an ID, a unique one is generated.","ref":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.LayoutPlaceholderIdMapping.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.LayoutProperties","doc":"The properties of Page are only relevant for pages with page_type LAYOUT.","ref":"GoogleApi.Slides.V1.Model.LayoutProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.LayoutProperties","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The human-readable name of the layout.\n*   `masterObjectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the master that this layout is based on.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the layout.","ref":"GoogleApi.Slides.V1.Model.LayoutProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.LayoutProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.LayoutProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.LayoutProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.LayoutProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.LayoutReference","doc":"Slide layout reference. This may reference either: - A predefined layout - One of the layouts in the presentation.","ref":"GoogleApi.Slides.V1.Model.LayoutReference.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.LayoutReference","doc":"*   `layoutId` (*type:* `String.t`, *default:* `nil`) - Layout ID: the object ID of one of the layouts in the presentation.\n*   `predefinedLayout` (*type:* `String.t`, *default:* `nil`) - Predefined layout.","ref":"GoogleApi.Slides.V1.Model.LayoutReference.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.LayoutReference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.LayoutReference.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.LayoutReference.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.LayoutReference.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Line","doc":"A PageElement kind representing a non-connector line, straight connector, curved connector, or bent connector.","ref":"GoogleApi.Slides.V1.Model.Line.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Line","doc":"*   `lineCategory` (*type:* `String.t`, *default:* `nil`) - The category of the line. It matches the `category` specified in CreateLineRequest, and can be updated with UpdateLineCategoryRequest.\n*   `lineProperties` (*type:* `GoogleApi.Slides.V1.Model.LineProperties.t`, *default:* `nil`) - The properties of the line.\n*   `lineType` (*type:* `String.t`, *default:* `nil`) - The type of the line.","ref":"GoogleApi.Slides.V1.Model.Line.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Line.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Line.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Line.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Line.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.LineConnection","doc":"The properties for one end of a Line connection.","ref":"GoogleApi.Slides.V1.Model.LineConnection.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.LineConnection","doc":"*   `connectedObjectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the connected page element. Some page elements, such as groups, tables, and lines do not have connection sites and therefore cannot be connected to a connector line.\n*   `connectionSiteIndex` (*type:* `integer()`, *default:* `nil`) - The index of the connection site on the connected page element. In most cases, it corresponds to the predefined connection site index from the ECMA-376 standard. More information on those connection sites can be found in the description of the \"cnx\" attribute in section 20.1.9.9 and Annex H. \"Predefined DrawingML Shape and Text Geometries\" of \"Office Open XML File Formats-Fundamentals and Markup Language Reference\", part 1 of [ECMA-376 5th edition] (http://www.ecma-international.org/publications/standards/Ecma-376.htm). The position of each connection site can also be viewed from Slides editor.","ref":"GoogleApi.Slides.V1.Model.LineConnection.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.LineConnection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.LineConnection.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.LineConnection.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.LineConnection.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.LineFill","doc":"The fill of the line.","ref":"GoogleApi.Slides.V1.Model.LineFill.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.LineFill","doc":"*   `solidFill` (*type:* `GoogleApi.Slides.V1.Model.SolidFill.t`, *default:* `nil`) - Solid color fill.","ref":"GoogleApi.Slides.V1.Model.LineFill.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.LineFill.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.LineFill.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.LineFill.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.LineFill.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.LineProperties","doc":"The properties of the Line. When unset, these fields default to values that match the appearance of new lines created in the Slides editor.","ref":"GoogleApi.Slides.V1.Model.LineProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.LineProperties","doc":"*   `dashStyle` (*type:* `String.t`, *default:* `nil`) - The dash style of the line.\n*   `endArrow` (*type:* `String.t`, *default:* `nil`) - The style of the arrow at the end of the line.\n*   `endConnection` (*type:* `GoogleApi.Slides.V1.Model.LineConnection.t`, *default:* `nil`) - The connection at the end of the line. If unset, there is no connection. Only lines with a Type indicating it is a \"connector\" can have an `end_connection`.\n*   `lineFill` (*type:* `GoogleApi.Slides.V1.Model.LineFill.t`, *default:* `nil`) - The fill of the line. The default line fill matches the defaults for new lines created in the Slides editor.\n*   `link` (*type:* `GoogleApi.Slides.V1.Model.Link.t`, *default:* `nil`) - The hyperlink destination of the line. If unset, there is no link.\n*   `startArrow` (*type:* `String.t`, *default:* `nil`) - The style of the arrow at the beginning of the line.\n*   `startConnection` (*type:* `GoogleApi.Slides.V1.Model.LineConnection.t`, *default:* `nil`) - The connection at the beginning of the line. If unset, there is no connection. Only lines with a Type indicating it is a \"connector\" can have a `start_connection`.\n*   `weight` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - The thickness of the line.","ref":"GoogleApi.Slides.V1.Model.LineProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.LineProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.LineProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.LineProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.LineProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Link","doc":"A hypertext link.","ref":"GoogleApi.Slides.V1.Model.Link.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Link","doc":"*   `pageObjectId` (*type:* `String.t`, *default:* `nil`) - If set, indicates this is a link to the specific page in this presentation with this ID. A page with this ID may not exist.\n*   `relativeLink` (*type:* `String.t`, *default:* `nil`) - If set, indicates this is a link to a slide in this presentation, addressed by its position.\n*   `slideIndex` (*type:* `integer()`, *default:* `nil`) - If set, indicates this is a link to the slide at this zero-based index in the presentation. There may not be a slide at this index.\n*   `url` (*type:* `String.t`, *default:* `nil`) - If set, indicates this is a link to the external web page at this URL.","ref":"GoogleApi.Slides.V1.Model.Link.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Link.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Link.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Link.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Link.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.List","doc":"A List describes the look and feel of bullets belonging to paragraphs associated with a list. A paragraph that is part of a list has an implicit reference to that list's ID.","ref":"GoogleApi.Slides.V1.Model.List.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.List","doc":"*   `listId` (*type:* `String.t`, *default:* `nil`) - The ID of the list.\n*   `nestingLevel` (*type:* `%{optional(String.t) => GoogleApi.Slides.V1.Model.NestingLevel.t}`, *default:* `nil`) - A map of nesting levels to the properties of bullets at the associated level. A list has at most nine levels of nesting, so the possible values for the keys of this map are 0 through 8, inclusive.","ref":"GoogleApi.Slides.V1.Model.List.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.List.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.List.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.List.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.List.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.MasterProperties","doc":"The properties of Page that are only relevant for pages with page_type MASTER.","ref":"GoogleApi.Slides.V1.Model.MasterProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.MasterProperties","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The human-readable name of the master.","ref":"GoogleApi.Slides.V1.Model.MasterProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.MasterProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.MasterProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.MasterProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.MasterProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest","doc":"Merges cells in a Table.","ref":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.MergeTableCellsRequest","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the table.\n*   `tableRange` (*type:* `GoogleApi.Slides.V1.Model.TableRange.t`, *default:* `nil`) - The table range specifying which cells of the table to merge. Any text in the cells being merged will be concatenated and stored in the upper-left (\"head\") cell of the range. If the range is non-rectangular (which can occur in some cases where the range covers cells that are already merged), a 400 bad request error is returned.","ref":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.MergeTableCellsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.NestingLevel","doc":"Contains properties describing the look and feel of a list bullet at a given level of nesting.","ref":"GoogleApi.Slides.V1.Model.NestingLevel.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.NestingLevel","doc":"*   `bulletStyle` (*type:* `GoogleApi.Slides.V1.Model.TextStyle.t`, *default:* `nil`) - The style of a bullet at this level of nesting.","ref":"GoogleApi.Slides.V1.Model.NestingLevel.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.NestingLevel.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.NestingLevel.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.NestingLevel.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.NestingLevel.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.NotesProperties","doc":"The properties of Page that are only relevant for pages with page_type NOTES.","ref":"GoogleApi.Slides.V1.Model.NotesProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.NotesProperties","doc":"*   `speakerNotesObjectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the shape on this notes page that contains the speaker notes for the corresponding slide. The actual shape may not always exist on the notes page. Inserting text using this object ID will automatically create the shape. In this case, the actual shape may have different object ID. The `GetPresentation` or `GetPage` action will always return the latest object ID.","ref":"GoogleApi.Slides.V1.Model.NotesProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.NotesProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.NotesProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.NotesProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.NotesProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.OpaqueColor","doc":"A themeable solid color value.","ref":"GoogleApi.Slides.V1.Model.OpaqueColor.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.OpaqueColor","doc":"*   `rgbColor` (*type:* `GoogleApi.Slides.V1.Model.RgbColor.t`, *default:* `nil`) - An opaque RGB color.\n*   `themeColor` (*type:* `String.t`, *default:* `nil`) - An opaque theme color.","ref":"GoogleApi.Slides.V1.Model.OpaqueColor.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.OpaqueColor.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.OpaqueColor.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.OpaqueColor.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.OpaqueColor.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.OptionalColor","doc":"A color that can either be fully opaque or fully transparent.","ref":"GoogleApi.Slides.V1.Model.OptionalColor.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.OptionalColor","doc":"*   `opaqueColor` (*type:* `GoogleApi.Slides.V1.Model.OpaqueColor.t`, *default:* `nil`) - If set, this will be used as an opaque color. If unset, this represents a transparent color.","ref":"GoogleApi.Slides.V1.Model.OptionalColor.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.OptionalColor.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.OptionalColor.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.OptionalColor.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.OptionalColor.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Outline","doc":"The outline of a PageElement. If these fields are unset, they may be inherited from a parent placeholder if it exists. If there is no parent, the fields will default to the value used for new page elements created in the Slides editor, which may depend on the page element kind.","ref":"GoogleApi.Slides.V1.Model.Outline.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Outline","doc":"*   `dashStyle` (*type:* `String.t`, *default:* `nil`) - The dash style of the outline.\n*   `outlineFill` (*type:* `GoogleApi.Slides.V1.Model.OutlineFill.t`, *default:* `nil`) - The fill of the outline.\n*   `propertyState` (*type:* `String.t`, *default:* `nil`) - The outline property state. Updating the outline on a page element will implicitly update this field to `RENDERED`, unless another value is specified in the same request. To have no outline on a page element, set this field to `NOT_RENDERED`. In this case, any other outline fields set in the same request will be ignored.\n*   `weight` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - The thickness of the outline.","ref":"GoogleApi.Slides.V1.Model.Outline.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Outline.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Outline.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Outline.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Outline.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.OutlineFill","doc":"The fill of the outline.","ref":"GoogleApi.Slides.V1.Model.OutlineFill.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.OutlineFill","doc":"*   `solidFill` (*type:* `GoogleApi.Slides.V1.Model.SolidFill.t`, *default:* `nil`) - Solid color fill.","ref":"GoogleApi.Slides.V1.Model.OutlineFill.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.OutlineFill.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.OutlineFill.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.OutlineFill.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.OutlineFill.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Page","doc":"A page in a presentation.","ref":"GoogleApi.Slides.V1.Model.Page.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Page","doc":"*   `layoutProperties` (*type:* `GoogleApi.Slides.V1.Model.LayoutProperties.t`, *default:* `nil`) - Layout specific properties. Only set if page_type = LAYOUT.\n*   `masterProperties` (*type:* `GoogleApi.Slides.V1.Model.MasterProperties.t`, *default:* `nil`) - Master specific properties. Only set if page_type = MASTER.\n*   `notesProperties` (*type:* `GoogleApi.Slides.V1.Model.NotesProperties.t`, *default:* `nil`) - Notes specific properties. Only set if page_type = NOTES.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID for this page. Object IDs used by Page and PageElement share the same namespace.\n*   `pageElements` (*type:* `list(GoogleApi.Slides.V1.Model.PageElement.t)`, *default:* `nil`) - The page elements rendered on the page.\n*   `pageProperties` (*type:* `GoogleApi.Slides.V1.Model.PageProperties.t`, *default:* `nil`) - The properties of the page.\n*   `pageType` (*type:* `String.t`, *default:* `nil`) - The type of the page.\n*   `revisionId` (*type:* `String.t`, *default:* `nil`) - Output only. The revision ID of the presentation. Can be used in update requests to assert the presentation revision hasn't changed since the last read operation. Only populated if the user has edit access to the presentation. The revision ID is not a sequential number but an opaque string. The format of the revision ID might change over time. A returned revision ID is only guaranteed to be valid for 24 hours after it has been returned and cannot be shared across users. If the revision ID is unchanged between calls, then the presentation has not changed. Conversely, a changed ID (for the same presentation and user) usually means the presentation has been updated. However, a changed ID can also be due to internal factors such as ID format changes.\n*   `slideProperties` (*type:* `GoogleApi.Slides.V1.Model.SlideProperties.t`, *default:* `nil`) - Slide specific properties. Only set if page_type = SLIDE.","ref":"GoogleApi.Slides.V1.Model.Page.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Page.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Page.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Page.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Page.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.PageBackgroundFill","doc":"The page background fill.","ref":"GoogleApi.Slides.V1.Model.PageBackgroundFill.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.PageBackgroundFill","doc":"*   `propertyState` (*type:* `String.t`, *default:* `nil`) - The background fill property state. Updating the fill on a page will implicitly update this field to `RENDERED`, unless another value is specified in the same request. To have no fill on a page, set this field to `NOT_RENDERED`. In this case, any other fill fields set in the same request will be ignored.\n*   `solidFill` (*type:* `GoogleApi.Slides.V1.Model.SolidFill.t`, *default:* `nil`) - Solid color fill.\n*   `stretchedPictureFill` (*type:* `GoogleApi.Slides.V1.Model.StretchedPictureFill.t`, *default:* `nil`) - Stretched picture fill.","ref":"GoogleApi.Slides.V1.Model.PageBackgroundFill.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.PageBackgroundFill.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.PageBackgroundFill.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.PageBackgroundFill.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.PageBackgroundFill.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.PageElement","doc":"A visual element rendered on a page.","ref":"GoogleApi.Slides.V1.Model.PageElement.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.PageElement","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the page element. Combined with title to display alt text. The field is not supported for Group elements.\n*   `elementGroup` (*type:* `GoogleApi.Slides.V1.Model.Group.t`, *default:* `nil`) - A collection of page elements joined as a single unit.\n*   `image` (*type:* `GoogleApi.Slides.V1.Model.Image.t`, *default:* `nil`) - An image page element.\n*   `line` (*type:* `GoogleApi.Slides.V1.Model.Line.t`, *default:* `nil`) - A line page element.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID for this page element. Object IDs used by google.apps.slides.v1.Page and google.apps.slides.v1.PageElement share the same namespace.\n*   `shape` (*type:* `GoogleApi.Slides.V1.Model.Shape.t`, *default:* `nil`) - A generic shape.\n*   `sheetsChart` (*type:* `GoogleApi.Slides.V1.Model.SheetsChart.t`, *default:* `nil`) - A linked chart embedded from Google Sheets. Unlinked charts are represented as images.\n*   `size` (*type:* `GoogleApi.Slides.V1.Model.Size.t`, *default:* `nil`) - The size of the page element.\n*   `speakerSpotlight` (*type:* `GoogleApi.Slides.V1.Model.SpeakerSpotlight.t`, *default:* `nil`) - A Speaker Spotlight.\n*   `table` (*type:* `GoogleApi.Slides.V1.Model.Table.t`, *default:* `nil`) - A table page element.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The title of the page element. Combined with description to display alt text. The field is not supported for Group elements.\n*   `transform` (*type:* `GoogleApi.Slides.V1.Model.AffineTransform.t`, *default:* `nil`) - The transform of the page element. The visual appearance of the page element is determined by its absolute transform. To compute the absolute transform, preconcatenate a page element's transform with the transforms of all of its parent groups. If the page element is not in a group, its absolute transform is the same as the value in this field. The initial transform for the newly created Group is always the identity transform.\n*   `video` (*type:* `GoogleApi.Slides.V1.Model.Video.t`, *default:* `nil`) - A video page element.\n*   `wordArt` (*type:* `GoogleApi.Slides.V1.Model.WordArt.t`, *default:* `nil`) - A word art page element.","ref":"GoogleApi.Slides.V1.Model.PageElement.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.PageElement.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.PageElement.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.PageElement.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.PageElement.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.PageElementProperties","doc":"Common properties for a page element. Note: When you initially create a PageElement, the API may modify the values of both `size` and `transform`, but the visual size will be unchanged.","ref":"GoogleApi.Slides.V1.Model.PageElementProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.PageElementProperties","doc":"*   `pageObjectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the page where the element is located.\n*   `size` (*type:* `GoogleApi.Slides.V1.Model.Size.t`, *default:* `nil`) - The size of the element.\n*   `transform` (*type:* `GoogleApi.Slides.V1.Model.AffineTransform.t`, *default:* `nil`) - The transform for the element.","ref":"GoogleApi.Slides.V1.Model.PageElementProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.PageElementProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.PageElementProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.PageElementProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.PageElementProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.PageProperties","doc":"The properties of the Page. The page will inherit properties from the parent page. Depending on the page type the hierarchy is defined in either SlideProperties or LayoutProperties.","ref":"GoogleApi.Slides.V1.Model.PageProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.PageProperties","doc":"*   `colorScheme` (*type:* `GoogleApi.Slides.V1.Model.ColorScheme.t`, *default:* `nil`) - The color scheme of the page. If unset, the color scheme is inherited from a parent page. If the page has no parent, the color scheme uses a default Slides color scheme, matching the defaults in the Slides editor. Only the concrete colors of the first 12 ThemeColorTypes are editable. In addition, only the color scheme on `Master` pages can be updated. To update the field, a color scheme containing mappings from all the first 12 ThemeColorTypes to their concrete colors must be provided. Colors for the remaining ThemeColorTypes will be ignored.\n*   `pageBackgroundFill` (*type:* `GoogleApi.Slides.V1.Model.PageBackgroundFill.t`, *default:* `nil`) - The background fill of the page. If unset, the background fill is inherited from a parent page if it exists. If the page has no parent, then the background fill defaults to the corresponding fill in the Slides editor.","ref":"GoogleApi.Slides.V1.Model.PageProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.PageProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.PageProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.PageProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.PageProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ParagraphMarker","doc":"A TextElement kind that represents the beginning of a new paragraph.","ref":"GoogleApi.Slides.V1.Model.ParagraphMarker.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ParagraphMarker","doc":"*   `bullet` (*type:* `GoogleApi.Slides.V1.Model.Bullet.t`, *default:* `nil`) - The bullet for this paragraph. If not present, the paragraph does not belong to a list.\n*   `style` (*type:* `GoogleApi.Slides.V1.Model.ParagraphStyle.t`, *default:* `nil`) - The paragraph's style","ref":"GoogleApi.Slides.V1.Model.ParagraphMarker.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ParagraphMarker.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ParagraphMarker.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ParagraphMarker.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ParagraphMarker.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ParagraphStyle","doc":"Styles that apply to a whole paragraph. If this text is contained in a shape with a parent placeholder, then these paragraph styles may be inherited from the parent. Which paragraph styles are inherited depend on the nesting level of lists: * A paragraph not in a list will inherit its paragraph style from the paragraph at the 0 nesting level of the list inside the parent placeholder. * A paragraph in a list will inherit its paragraph style from the paragraph at its corresponding nesting level of the list inside the parent placeholder. Inherited paragraph styles are represented as unset fields in this message.","ref":"GoogleApi.Slides.V1.Model.ParagraphStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ParagraphStyle","doc":"*   `alignment` (*type:* `String.t`, *default:* `nil`) - The text alignment for this paragraph.\n*   `direction` (*type:* `String.t`, *default:* `nil`) - The text direction of this paragraph. If unset, the value defaults to LEFT_TO_RIGHT since text direction is not inherited.\n*   `indentEnd` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - The amount indentation for the paragraph on the side that corresponds to the end of the text, based on the current text direction. If unset, the value is inherited from the parent.\n*   `indentFirstLine` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - The amount of indentation for the start of the first line of the paragraph. If unset, the value is inherited from the parent.\n*   `indentStart` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - The amount indentation for the paragraph on the side that corresponds to the start of the text, based on the current text direction. If unset, the value is inherited from the parent.\n*   `lineSpacing` (*type:* `number()`, *default:* `nil`) - The amount of space between lines, as a percentage of normal, where normal is represented as 100.0. If unset, the value is inherited from the parent.\n*   `spaceAbove` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - The amount of extra space above the paragraph. If unset, the value is inherited from the parent.\n*   `spaceBelow` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - The amount of extra space below the paragraph. If unset, the value is inherited from the parent.\n*   `spacingMode` (*type:* `String.t`, *default:* `nil`) - The spacing mode for the paragraph.","ref":"GoogleApi.Slides.V1.Model.ParagraphStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ParagraphStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ParagraphStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ParagraphStyle.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ParagraphStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Placeholder","doc":"The placeholder information that uniquely identifies a placeholder shape.","ref":"GoogleApi.Slides.V1.Model.Placeholder.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Placeholder","doc":"*   `index` (*type:* `integer()`, *default:* `nil`) - The index of the placeholder. If the same placeholder types are present in the same page, they would have different index values.\n*   `parentObjectId` (*type:* `String.t`, *default:* `nil`) - The object ID of this shape's parent placeholder. If unset, the parent placeholder shape does not exist, so the shape does not inherit properties from any other shape.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the placeholder.","ref":"GoogleApi.Slides.V1.Model.Placeholder.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Placeholder.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Placeholder.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Placeholder.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Placeholder.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Presentation","doc":"A Google Slides presentation.","ref":"GoogleApi.Slides.V1.Model.Presentation.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Presentation","doc":"*   `layouts` (*type:* `list(GoogleApi.Slides.V1.Model.Page.t)`, *default:* `nil`) - The layouts in the presentation. A layout is a template that determines how content is arranged and styled on the slides that inherit from that layout.\n*   `locale` (*type:* `String.t`, *default:* `nil`) - The locale of the presentation, as an IETF BCP 47 language tag.\n*   `masters` (*type:* `list(GoogleApi.Slides.V1.Model.Page.t)`, *default:* `nil`) - The slide masters in the presentation. A slide master contains all common page elements and the common properties for a set of layouts. They serve three purposes: - Placeholder shapes on a master contain the default text styles and shape properties of all placeholder shapes on pages that use that master. - The master page properties define the common page properties inherited by its layouts. - Any other shapes on the master slide appear on all slides using that master, regardless of their layout.\n*   `notesMaster` (*type:* `GoogleApi.Slides.V1.Model.Page.t`, *default:* `nil`) - The notes master in the presentation. It serves three purposes: - Placeholder shapes on a notes master contain the default text styles and shape properties of all placeholder shapes on notes pages. Specifically, a `SLIDE_IMAGE` placeholder shape contains the slide thumbnail, and a `BODY` placeholder shape contains the speaker notes. - The notes master page properties define the common page properties inherited by all notes pages. - Any other shapes on the notes master appear on all notes pages. The notes master is read-only.\n*   `pageSize` (*type:* `GoogleApi.Slides.V1.Model.Size.t`, *default:* `nil`) - The size of pages in the presentation.\n*   `presentationId` (*type:* `String.t`, *default:* `nil`) - The ID of the presentation.\n*   `revisionId` (*type:* `String.t`, *default:* `nil`) - Output only. The revision ID of the presentation. Can be used in update requests to assert the presentation revision hasn't changed since the last read operation. Only populated if the user has edit access to the presentation. The revision ID is not a sequential number but a nebulous string. The format of the revision ID may change over time, so it should be treated opaquely. A returned revision ID is only guaranteed to be valid for 24 hours after it has been returned and cannot be shared across users. If the revision ID is unchanged between calls, then the presentation has not changed. Conversely, a changed ID (for the same presentation and user) usually means the presentation has been updated. However, a changed ID can also be due to internal factors such as ID format changes.\n*   `slides` (*type:* `list(GoogleApi.Slides.V1.Model.Page.t)`, *default:* `nil`) - The slides in the presentation. A slide inherits properties from a slide layout.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The title of the presentation.","ref":"GoogleApi.Slides.V1.Model.Presentation.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Presentation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Presentation.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Presentation.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Presentation.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Range","doc":"Specifies a contiguous range of an indexed collection, such as characters in text.","ref":"GoogleApi.Slides.V1.Model.Range.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Range","doc":"*   `endIndex` (*type:* `integer()`, *default:* `nil`) - The optional zero-based index of the end of the collection. Required for `FIXED_RANGE` ranges.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The optional zero-based index of the beginning of the collection. Required for `FIXED_RANGE` and `FROM_START_INDEX` ranges.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of range.","ref":"GoogleApi.Slides.V1.Model.Range.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Range.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Range.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Range.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Range.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Recolor","doc":"A recolor effect applied on an image.","ref":"GoogleApi.Slides.V1.Model.Recolor.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Recolor","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the recolor effect. The name is determined from the `recolor_stops` by matching the gradient against the colors in the page's current color scheme. This property is read-only.\n*   `recolorStops` (*type:* `list(GoogleApi.Slides.V1.Model.ColorStop.t)`, *default:* `nil`) - The recolor effect is represented by a gradient, which is a list of color stops. The colors in the gradient will replace the corresponding colors at the same position in the color palette and apply to the image. This property is read-only.","ref":"GoogleApi.Slides.V1.Model.Recolor.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Recolor.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Recolor.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Recolor.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Recolor.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest","doc":"Refreshes an embedded Google Sheets chart by replacing it with the latest version of the chart from Google Sheets. NOTE: Refreshing charts requires at least one of the spreadsheets.readonly, spreadsheets, drive.readonly, or drive OAuth scopes.","ref":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the chart to refresh.","ref":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest","doc":"Replaces all shapes that match the given criteria with the provided image. The images replacing the shapes are rectangular after being inserted into the presentation and do not take on the forms of the shapes.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest","doc":"*   `containsText` (*type:* `GoogleApi.Slides.V1.Model.SubstringMatchCriteria.t`, *default:* `nil`) - If set, this request will replace all of the shapes that contain the given text.\n*   `imageReplaceMethod` (*type:* `String.t`, *default:* `nil`) - The image replace method. If you specify both a `replace_method` and an `image_replace_method`, the `image_replace_method` takes precedence. If you do not specify a value for `image_replace_method`, but specify a value for `replace_method`, then the specified `replace_method` value is used. If you do not specify either, then CENTER_INSIDE is used.\n*   `imageUrl` (*type:* `String.t`, *default:* `nil`) - The image URL. The image is fetched once at insertion time and a copy is stored for display inside the presentation. Images must be less than 50MB in size, cannot exceed 25 megapixels, and must be in one of PNG, JPEG, or GIF format. The provided URL can be at most 2 kB in length. The URL itself is saved with the image, and exposed via the Image.source_url field.\n*   `pageObjectIds` (*type:* `list(String.t)`, *default:* `nil`) - If non-empty, limits the matches to page elements only on the given pages. Returns a 400 bad request error if given the page object ID of a notes page or a notes master, or if a page with that object ID doesn't exist in the presentation.\n*   `replaceMethod` (*type:* `String.t`, *default:* `nil`) - The replace method. *Deprecated*: use `image_replace_method` instead. If you specify both a `replace_method` and an `image_replace_method`, the `image_replace_method` takes precedence.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse","doc":"The result of replacing shapes with an image.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse","doc":"*   `occurrencesChanged` (*type:* `integer()`, *default:* `nil`) - The number of shapes replaced with images.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest","doc":"Replaces all shapes that match the given criteria with the provided Google Sheets chart. The chart will be scaled and centered to fit within the bounds of the original shape. NOTE: Replacing shapes with a chart requires at least one of the spreadsheets.readonly, spreadsheets, drive.readonly, or drive OAuth scopes.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest","doc":"*   `chartId` (*type:* `integer()`, *default:* `nil`) - The ID of the specific chart in the Google Sheets spreadsheet.\n*   `containsText` (*type:* `GoogleApi.Slides.V1.Model.SubstringMatchCriteria.t`, *default:* `nil`) - The criteria that the shapes must match in order to be replaced. The request will replace all of the shapes that contain the given text.\n*   `linkingMode` (*type:* `String.t`, *default:* `nil`) - The mode with which the chart is linked to the source spreadsheet. When not specified, the chart will be an image that is not linked.\n*   `pageObjectIds` (*type:* `list(String.t)`, *default:* `nil`) - If non-empty, limits the matches to page elements only on the given pages. Returns a 400 bad request error if given the page object ID of a notes page or a notes master, or if a page with that object ID doesn't exist in the presentation.\n*   `spreadsheetId` (*type:* `String.t`, *default:* `nil`) - The ID of the Google Sheets spreadsheet that contains the chart.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse","doc":"The result of replacing shapes with a Google Sheets chart.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse","doc":"*   `occurrencesChanged` (*type:* `integer()`, *default:* `nil`) - The number of shapes replaced with charts.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest","doc":"Replaces all instances of text matching a criteria with replace text.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ReplaceAllTextRequest","doc":"*   `containsText` (*type:* `GoogleApi.Slides.V1.Model.SubstringMatchCriteria.t`, *default:* `nil`) - Finds text in a shape matching this substring.\n*   `pageObjectIds` (*type:* `list(String.t)`, *default:* `nil`) - If non-empty, limits the matches to page elements only on the given pages. Returns a 400 bad request error if given the page object ID of a notes master, or if a page with that object ID doesn't exist in the presentation.\n*   `replaceText` (*type:* `String.t`, *default:* `nil`) - The text that will replace the matched text.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse","doc":"The result of replacing text.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ReplaceAllTextResponse","doc":"*   `occurrencesChanged` (*type:* `integer()`, *default:* `nil`) - The number of occurrences changed by replacing all text.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ReplaceImageRequest","doc":"Replaces an existing image with a new image. Replacing an image removes some image effects from the existing image.","ref":"GoogleApi.Slides.V1.Model.ReplaceImageRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ReplaceImageRequest","doc":"*   `imageObjectId` (*type:* `String.t`, *default:* `nil`) - The ID of the existing image that will be replaced. The ID can be retrieved from the response of a get request.\n*   `imageReplaceMethod` (*type:* `String.t`, *default:* `nil`) - The replacement method.\n*   `url` (*type:* `String.t`, *default:* `nil`) - The image URL. The image is fetched once at insertion time and a copy is stored for display inside the presentation. Images must be less than 50MB, cannot exceed 25 megapixels, and must be in PNG, JPEG, or GIF format. The provided URL can't surpass 2 KB in length. The URL is saved with the image, and exposed through the Image.source_url field.","ref":"GoogleApi.Slides.V1.Model.ReplaceImageRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ReplaceImageRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ReplaceImageRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ReplaceImageRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ReplaceImageRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Request","doc":"A single kind of update to apply to a presentation.","ref":"GoogleApi.Slides.V1.Model.Request.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Request","doc":"*   `mergeTableCells` (*type:* `GoogleApi.Slides.V1.Model.MergeTableCellsRequest.t`, *default:* `nil`) - Merges cells in a Table.\n*   `replaceAllShapesWithImage` (*type:* `GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageRequest.t`, *default:* `nil`) - Replaces all shapes matching some criteria with an image.\n*   `updateSlidesPosition` (*type:* `GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.t`, *default:* `nil`) - Updates the position of a set of slides in the presentation.\n*   `updatePageProperties` (*type:* `GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.t`, *default:* `nil`) - Updates the properties of a Page.\n*   `replaceAllShapesWithSheetsChart` (*type:* `GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartRequest.t`, *default:* `nil`) - Replaces all shapes matching some criteria with a Google Sheets chart.\n*   `createImage` (*type:* `GoogleApi.Slides.V1.Model.CreateImageRequest.t`, *default:* `nil`) - Creates an image.\n*   `updateTableBorderProperties` (*type:* `GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.t`, *default:* `nil`) - Updates the properties of the table borders in a Table.\n*   `duplicateObject` (*type:* `GoogleApi.Slides.V1.Model.DuplicateObjectRequest.t`, *default:* `nil`) - Duplicates a slide or page element.\n*   `updateTableCellProperties` (*type:* `GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.t`, *default:* `nil`) - Updates the properties of a TableCell.\n*   `refreshSheetsChart` (*type:* `GoogleApi.Slides.V1.Model.RefreshSheetsChartRequest.t`, *default:* `nil`) - Refreshes a Google Sheets chart.\n*   `deleteParagraphBullets` (*type:* `GoogleApi.Slides.V1.Model.DeleteParagraphBulletsRequest.t`, *default:* `nil`) - Deletes bullets from paragraphs.\n*   `insertTableRows` (*type:* `GoogleApi.Slides.V1.Model.InsertTableRowsRequest.t`, *default:* `nil`) - Inserts rows into a table.\n*   `createLine` (*type:* `GoogleApi.Slides.V1.Model.CreateLineRequest.t`, *default:* `nil`) - Creates a line.\n*   `updateLineCategory` (*type:* `GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.t`, *default:* `nil`) - Updates the category of a line.\n*   `updateTextStyle` (*type:* `GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.t`, *default:* `nil`) - Updates the styling of text within a Shape or Table.\n*   `replaceAllText` (*type:* `GoogleApi.Slides.V1.Model.ReplaceAllTextRequest.t`, *default:* `nil`) - Replaces all instances of specified text.\n*   `createShape` (*type:* `GoogleApi.Slides.V1.Model.CreateShapeRequest.t`, *default:* `nil`) - Creates a new shape.\n*   `deleteText` (*type:* `GoogleApi.Slides.V1.Model.DeleteTextRequest.t`, *default:* `nil`) - Deletes text from a shape or a table cell.\n*   `rerouteLine` (*type:* `GoogleApi.Slides.V1.Model.RerouteLineRequest.t`, *default:* `nil`) - Reroutes a line such that it's connected at the two closest connection sites on the connected page elements.\n*   `updatePageElementAltText` (*type:* `GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.t`, *default:* `nil`) - Updates the alt text title and/or description of a page element.\n*   `updateVideoProperties` (*type:* `GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.t`, *default:* `nil`) - Updates the properties of a Video.\n*   `updateShapeProperties` (*type:* `GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.t`, *default:* `nil`) - Updates the properties of a Shape.\n*   `deleteObject` (*type:* `GoogleApi.Slides.V1.Model.DeleteObjectRequest.t`, *default:* `nil`) - Deletes a page or page element from the presentation.\n*   `unmergeTableCells` (*type:* `GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.t`, *default:* `nil`) - Unmerges cells in a Table.\n*   `updatePageElementTransform` (*type:* `GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.t`, *default:* `nil`) - Updates the transform of a page element.\n*   `updateLineProperties` (*type:* `GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.t`, *default:* `nil`) - Updates the properties of a Line.\n*   `deleteTableRow` (*type:* `GoogleApi.Slides.V1.Model.DeleteTableRowRequest.t`, *default:* `nil`) - Deletes a row from a table.\n*   `createSlide` (*type:* `GoogleApi.Slides.V1.Model.CreateSlideRequest.t`, *default:* `nil`) - Creates a new slide.\n*   `deleteTableColumn` (*type:* `GoogleApi.Slides.V1.Model.DeleteTableColumnRequest.t`, *default:* `nil`) - Deletes a column from a table.\n*   `createTable` (*type:* `GoogleApi.Slides.V1.Model.CreateTableRequest.t`, *default:* `nil`) - Creates a new table.\n*   `ungroupObjects` (*type:* `GoogleApi.Slides.V1.Model.UngroupObjectsRequest.t`, *default:* `nil`) - Ungroups objects, such as groups.\n*   `groupObjects` (*type:* `GoogleApi.Slides.V1.Model.GroupObjectsRequest.t`, *default:* `nil`) - Groups objects, such as page elements.\n*   `updateImageProperties` (*type:* `GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.t`, *default:* `nil`) - Updates the properties of an Image.\n*   `insertText` (*type:* `GoogleApi.Slides.V1.Model.InsertTextRequest.t`, *default:* `nil`) - Inserts text into a shape or table cell.\n*   `updatePageElementsZOrder` (*type:* `GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.t`, *default:* `nil`) - Updates the Z-order of page elements.\n*   `createSheetsChart` (*type:* `GoogleApi.Slides.V1.Model.CreateSheetsChartRequest.t`, *default:* `nil`) - Creates an embedded Google Sheets chart.\n*   `replaceImage` (*type:* `GoogleApi.Slides.V1.Model.ReplaceImageRequest.t`, *default:* `nil`) - Replaces an existing image with a new image.\n*   `updateTableColumnProperties` (*type:* `GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.t`, *default:* `nil`) - Updates the properties of a Table column.\n*   `insertTableColumns` (*type:* `GoogleApi.Slides.V1.Model.InsertTableColumnsRequest.t`, *default:* `nil`) - Inserts columns into a table.\n*   `updateTableRowProperties` (*type:* `GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.t`, *default:* `nil`) - Updates the properties of a Table row.\n*   `updateSlideProperties` (*type:* `GoogleApi.Slides.V1.Model.UpdateSlidePropertiesRequest.t`, *default:* `nil`) - Updates the properties of a Slide\n*   `updateParagraphStyle` (*type:* `GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.t`, *default:* `nil`) - Updates the styling of paragraphs within a Shape or Table.\n*   `createParagraphBullets` (*type:* `GoogleApi.Slides.V1.Model.CreateParagraphBulletsRequest.t`, *default:* `nil`) - Creates bullets for paragraphs.\n*   `createVideo` (*type:* `GoogleApi.Slides.V1.Model.CreateVideoRequest.t`, *default:* `nil`) - Creates a video.","ref":"GoogleApi.Slides.V1.Model.Request.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Request.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Request.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Request.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Request.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.RerouteLineRequest","doc":"Reroutes a line such that it's connected at the two closest connection sites on the connected page elements.","ref":"GoogleApi.Slides.V1.Model.RerouteLineRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.RerouteLineRequest","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the line to reroute. Only a line with a category indicating it is a \"connector\" can be rerouted. The start and end connections of the line must be on different page elements.","ref":"GoogleApi.Slides.V1.Model.RerouteLineRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.RerouteLineRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.RerouteLineRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.RerouteLineRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.RerouteLineRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Response","doc":"A single response from an update.","ref":"GoogleApi.Slides.V1.Model.Response.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Response","doc":"*   `createImage` (*type:* `GoogleApi.Slides.V1.Model.CreateImageResponse.t`, *default:* `nil`) - The result of creating an image.\n*   `createLine` (*type:* `GoogleApi.Slides.V1.Model.CreateLineResponse.t`, *default:* `nil`) - The result of creating a line.\n*   `createShape` (*type:* `GoogleApi.Slides.V1.Model.CreateShapeResponse.t`, *default:* `nil`) - The result of creating a shape.\n*   `createSheetsChart` (*type:* `GoogleApi.Slides.V1.Model.CreateSheetsChartResponse.t`, *default:* `nil`) - The result of creating a Google Sheets chart.\n*   `createSlide` (*type:* `GoogleApi.Slides.V1.Model.CreateSlideResponse.t`, *default:* `nil`) - The result of creating a slide.\n*   `createTable` (*type:* `GoogleApi.Slides.V1.Model.CreateTableResponse.t`, *default:* `nil`) - The result of creating a table.\n*   `createVideo` (*type:* `GoogleApi.Slides.V1.Model.CreateVideoResponse.t`, *default:* `nil`) - The result of creating a video.\n*   `duplicateObject` (*type:* `GoogleApi.Slides.V1.Model.DuplicateObjectResponse.t`, *default:* `nil`) - The result of duplicating an object.\n*   `groupObjects` (*type:* `GoogleApi.Slides.V1.Model.GroupObjectsResponse.t`, *default:* `nil`) - The result of grouping objects.\n*   `replaceAllShapesWithImage` (*type:* `GoogleApi.Slides.V1.Model.ReplaceAllShapesWithImageResponse.t`, *default:* `nil`) - The result of replacing all shapes matching some criteria with an image.\n*   `replaceAllShapesWithSheetsChart` (*type:* `GoogleApi.Slides.V1.Model.ReplaceAllShapesWithSheetsChartResponse.t`, *default:* `nil`) - The result of replacing all shapes matching some criteria with a Google Sheets chart.\n*   `replaceAllText` (*type:* `GoogleApi.Slides.V1.Model.ReplaceAllTextResponse.t`, *default:* `nil`) - The result of replacing text.","ref":"GoogleApi.Slides.V1.Model.Response.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Response.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Response.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Response.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Response.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.RgbColor","doc":"An RGB color.","ref":"GoogleApi.Slides.V1.Model.RgbColor.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.RgbColor","doc":"*   `blue` (*type:* `number()`, *default:* `nil`) - The blue component of the color, from 0.0 to 1.0.\n*   `green` (*type:* `number()`, *default:* `nil`) - The green component of the color, from 0.0 to 1.0.\n*   `red` (*type:* `number()`, *default:* `nil`) - The red component of the color, from 0.0 to 1.0.","ref":"GoogleApi.Slides.V1.Model.RgbColor.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.RgbColor.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.RgbColor.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.RgbColor.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.RgbColor.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Shadow","doc":"The shadow properties of a page element. If these fields are unset, they may be inherited from a parent placeholder if it exists. If there is no parent, the fields will default to the value used for new page elements created in the Slides editor, which may depend on the page element kind.","ref":"GoogleApi.Slides.V1.Model.Shadow.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Shadow","doc":"*   `alignment` (*type:* `String.t`, *default:* `nil`) - The alignment point of the shadow, that sets the origin for translate, scale and skew of the shadow. This property is read-only.\n*   `alpha` (*type:* `number()`, *default:* `nil`) - The alpha of the shadow's color, from 0.0 to 1.0.\n*   `blurRadius` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - The radius of the shadow blur. The larger the radius, the more diffuse the shadow becomes.\n*   `color` (*type:* `GoogleApi.Slides.V1.Model.OpaqueColor.t`, *default:* `nil`) - The shadow color value.\n*   `propertyState` (*type:* `String.t`, *default:* `nil`) - The shadow property state. Updating the shadow on a page element will implicitly update this field to `RENDERED`, unless another value is specified in the same request. To have no shadow on a page element, set this field to `NOT_RENDERED`. In this case, any other shadow fields set in the same request will be ignored.\n*   `rotateWithShape` (*type:* `boolean()`, *default:* `nil`) - Whether the shadow should rotate with the shape. This property is read-only.\n*   `transform` (*type:* `GoogleApi.Slides.V1.Model.AffineTransform.t`, *default:* `nil`) - Transform that encodes the translate, scale, and skew of the shadow, relative to the alignment position.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the shadow. This property is read-only.","ref":"GoogleApi.Slides.V1.Model.Shadow.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Shadow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Shadow.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Shadow.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Shadow.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Shape","doc":"A PageElement kind representing a generic shape that does not have a more specific classification.","ref":"GoogleApi.Slides.V1.Model.Shape.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Shape","doc":"*   `placeholder` (*type:* `GoogleApi.Slides.V1.Model.Placeholder.t`, *default:* `nil`) - Placeholders are page elements that inherit from corresponding placeholders on layouts and masters. If set, the shape is a placeholder shape and any inherited properties can be resolved by looking at the parent placeholder identified by the Placeholder.parent_object_id field.\n*   `shapeProperties` (*type:* `GoogleApi.Slides.V1.Model.ShapeProperties.t`, *default:* `nil`) - The properties of the shape.\n*   `shapeType` (*type:* `String.t`, *default:* `nil`) - The type of the shape.\n*   `text` (*type:* `GoogleApi.Slides.V1.Model.TextContent.t`, *default:* `nil`) - The text content of the shape.","ref":"GoogleApi.Slides.V1.Model.Shape.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Shape.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Shape.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Shape.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Shape.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill","doc":"The shape background fill.","ref":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ShapeBackgroundFill","doc":"*   `propertyState` (*type:* `String.t`, *default:* `nil`) - The background fill property state. Updating the fill on a shape will implicitly update this field to `RENDERED`, unless another value is specified in the same request. To have no fill on a shape, set this field to `NOT_RENDERED`. In this case, any other fill fields set in the same request will be ignored.\n*   `solidFill` (*type:* `GoogleApi.Slides.V1.Model.SolidFill.t`, *default:* `nil`) - Solid color fill.","ref":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ShapeBackgroundFill.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ShapeProperties","doc":"The properties of a Shape. If the shape is a placeholder shape as determined by the placeholder field, then these properties may be inherited from a parent placeholder shape. Determining the rendered value of the property depends on the corresponding property_state field value. Any text autofit settings on the shape are automatically deactivated by requests that can impact how text fits in the shape.","ref":"GoogleApi.Slides.V1.Model.ShapeProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ShapeProperties","doc":"*   `autofit` (*type:* `GoogleApi.Slides.V1.Model.Autofit.t`, *default:* `nil`) - The autofit properties of the shape. This property is only set for shapes that allow text.\n*   `contentAlignment` (*type:* `String.t`, *default:* `nil`) - The alignment of the content in the shape. If unspecified, the alignment is inherited from a parent placeholder if it exists. If the shape has no parent, the default alignment matches the alignment for new shapes created in the Slides editor.\n*   `link` (*type:* `GoogleApi.Slides.V1.Model.Link.t`, *default:* `nil`) - The hyperlink destination of the shape. If unset, there is no link. Links are not inherited from parent placeholders.\n*   `outline` (*type:* `GoogleApi.Slides.V1.Model.Outline.t`, *default:* `nil`) - The outline of the shape. If unset, the outline is inherited from a parent placeholder if it exists. If the shape has no parent, then the default outline depends on the shape type, matching the defaults for new shapes created in the Slides editor.\n*   `shadow` (*type:* `GoogleApi.Slides.V1.Model.Shadow.t`, *default:* `nil`) - The shadow properties of the shape. If unset, the shadow is inherited from a parent placeholder if it exists. If the shape has no parent, then the default shadow matches the defaults for new shapes created in the Slides editor. This property is read-only.\n*   `shapeBackgroundFill` (*type:* `GoogleApi.Slides.V1.Model.ShapeBackgroundFill.t`, *default:* `nil`) - The background fill of the shape. If unset, the background fill is inherited from a parent placeholder if it exists. If the shape has no parent, then the default background fill depends on the shape type, matching the defaults for new shapes created in the Slides editor.","ref":"GoogleApi.Slides.V1.Model.ShapeProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ShapeProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ShapeProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ShapeProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ShapeProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.SheetsChart","doc":"A PageElement kind representing a linked chart embedded from Google Sheets.","ref":"GoogleApi.Slides.V1.Model.SheetsChart.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.SheetsChart","doc":"*   `chartId` (*type:* `integer()`, *default:* `nil`) - The ID of the specific chart in the Google Sheets spreadsheet that is embedded.\n*   `contentUrl` (*type:* `String.t`, *default:* `nil`) - The URL of an image of the embedded chart, with a default lifetime of 30 minutes. This URL is tagged with the account of the requester. Anyone with the URL effectively accesses the image as the original requester. Access to the image may be lost if the presentation's sharing settings change.\n*   `sheetsChartProperties` (*type:* `GoogleApi.Slides.V1.Model.SheetsChartProperties.t`, *default:* `nil`) - The properties of the Sheets chart.\n*   `spreadsheetId` (*type:* `String.t`, *default:* `nil`) - The ID of the Google Sheets spreadsheet that contains the source chart.","ref":"GoogleApi.Slides.V1.Model.SheetsChart.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.SheetsChart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.SheetsChart.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.SheetsChart.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.SheetsChart.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.SheetsChartProperties","doc":"The properties of the SheetsChart.","ref":"GoogleApi.Slides.V1.Model.SheetsChartProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.SheetsChartProperties","doc":"*   `chartImageProperties` (*type:* `GoogleApi.Slides.V1.Model.ImageProperties.t`, *default:* `nil`) - The properties of the embedded chart image.","ref":"GoogleApi.Slides.V1.Model.SheetsChartProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.SheetsChartProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.SheetsChartProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.SheetsChartProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.SheetsChartProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Size","doc":"A width and height.","ref":"GoogleApi.Slides.V1.Model.Size.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Size","doc":"*   `height` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - The height of the object.\n*   `width` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - The width of the object.","ref":"GoogleApi.Slides.V1.Model.Size.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Size.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Size.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Size.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Size.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.SlideProperties","doc":"The properties of Page that are only relevant for pages with page_type SLIDE.","ref":"GoogleApi.Slides.V1.Model.SlideProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.SlideProperties","doc":"*   `isSkipped` (*type:* `boolean()`, *default:* `nil`) - Whether the slide is skipped in the presentation mode. Defaults to false.\n*   `layoutObjectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the layout that this slide is based on. This property is read-only.\n*   `masterObjectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the master that this slide is based on. This property is read-only.\n*   `notesPage` (*type:* `GoogleApi.Slides.V1.Model.Page.t`, *default:* `nil`) - The notes page that this slide is associated with. It defines the visual appearance of a notes page when printing or exporting slides with speaker notes. A notes page inherits properties from the notes master. The placeholder shape with type BODY on the notes page contains the speaker notes for this slide. The ID of this shape is identified by the speakerNotesObjectId field. The notes page is read-only except for the text content and styles of the speaker notes shape. This property is read-only.","ref":"GoogleApi.Slides.V1.Model.SlideProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.SlideProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.SlideProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.SlideProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.SlideProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.SolidFill","doc":"A solid color fill. The page or page element is filled entirely with the specified color value. If any field is unset, its value may be inherited from a parent placeholder if it exists.","ref":"GoogleApi.Slides.V1.Model.SolidFill.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.SolidFill","doc":"*   `alpha` (*type:* `number()`, *default:* `nil`) - The fraction of this `color` that should be applied to the pixel. That is, the final pixel color is defined by the equation: pixel color = alpha * (color) + (1.0 - alpha) * (background color) This means that a value of 1.0 corresponds to a solid color, whereas a value of 0.0 corresponds to a completely transparent color.\n*   `color` (*type:* `GoogleApi.Slides.V1.Model.OpaqueColor.t`, *default:* `nil`) - The color value of the solid fill.","ref":"GoogleApi.Slides.V1.Model.SolidFill.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.SolidFill.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.SolidFill.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.SolidFill.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.SolidFill.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.SpeakerSpotlight","doc":"A PageElement kind representing a Speaker Spotlight.","ref":"GoogleApi.Slides.V1.Model.SpeakerSpotlight.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.SpeakerSpotlight","doc":"*   `speakerSpotlightProperties` (*type:* `GoogleApi.Slides.V1.Model.SpeakerSpotlightProperties.t`, *default:* `nil`) - The properties of the Speaker Spotlight.","ref":"GoogleApi.Slides.V1.Model.SpeakerSpotlight.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.SpeakerSpotlight.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.SpeakerSpotlight.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.SpeakerSpotlight.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.SpeakerSpotlight.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.SpeakerSpotlightProperties","doc":"The properties of the SpeakerSpotlight.","ref":"GoogleApi.Slides.V1.Model.SpeakerSpotlightProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.SpeakerSpotlightProperties","doc":"*   `outline` (*type:* `GoogleApi.Slides.V1.Model.Outline.t`, *default:* `nil`) - The outline of the Speaker Spotlight. If not set, it has no outline.\n*   `shadow` (*type:* `GoogleApi.Slides.V1.Model.Shadow.t`, *default:* `nil`) - The shadow of the Speaker Spotlight. If not set, it has no shadow.","ref":"GoogleApi.Slides.V1.Model.SpeakerSpotlightProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.SpeakerSpotlightProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.SpeakerSpotlightProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.SpeakerSpotlightProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.SpeakerSpotlightProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.StretchedPictureFill","doc":"The stretched picture fill. The page or page element is filled entirely with the specified picture. The picture is stretched to fit its container.","ref":"GoogleApi.Slides.V1.Model.StretchedPictureFill.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.StretchedPictureFill","doc":"*   `contentUrl` (*type:* `String.t`, *default:* `nil`) - Reading the content_url: An URL to a picture with a default lifetime of 30 minutes. This URL is tagged with the account of the requester. Anyone with the URL effectively accesses the picture as the original requester. Access to the picture may be lost if the presentation's sharing settings change. Writing the content_url: The picture is fetched once at insertion time and a copy is stored for display inside the presentation. Pictures must be less than 50MB in size, cannot exceed 25 megapixels, and must be in one of PNG, JPEG, or GIF format. The provided URL can be at most 2 kB in length.\n*   `size` (*type:* `GoogleApi.Slides.V1.Model.Size.t`, *default:* `nil`) - The original size of the picture fill. This field is read-only.","ref":"GoogleApi.Slides.V1.Model.StretchedPictureFill.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.StretchedPictureFill.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.StretchedPictureFill.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.StretchedPictureFill.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.StretchedPictureFill.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria","doc":"A criteria that matches a specific string of text in a shape or table.","ref":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.SubstringMatchCriteria","doc":"*   `matchCase` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the search should respect case: - `True`: the search is case sensitive. - `False`: the search is case insensitive.\n*   `text` (*type:* `String.t`, *default:* `nil`) - The text to search for in the shape or table.","ref":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.SubstringMatchCriteria.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Table","doc":"A PageElement kind representing a table.","ref":"GoogleApi.Slides.V1.Model.Table.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Table","doc":"*   `columns` (*type:* `integer()`, *default:* `nil`) - Number of columns in the table.\n*   `horizontalBorderRows` (*type:* `list(GoogleApi.Slides.V1.Model.TableBorderRow.t)`, *default:* `nil`) - Properties of horizontal cell borders. A table's horizontal cell borders are represented as a grid. The grid has one more row than the number of rows in the table and the same number of columns as the table. For example, if the table is 3 x 3, its horizontal borders will be represented as a grid with 4 rows and 3 columns.\n*   `rows` (*type:* `integer()`, *default:* `nil`) - Number of rows in the table.\n*   `tableColumns` (*type:* `list(GoogleApi.Slides.V1.Model.TableColumnProperties.t)`, *default:* `nil`) - Properties of each column.\n*   `tableRows` (*type:* `list(GoogleApi.Slides.V1.Model.TableRow.t)`, *default:* `nil`) - Properties and contents of each row. Cells that span multiple rows are contained in only one of these rows and have a row_span greater than 1.\n*   `verticalBorderRows` (*type:* `list(GoogleApi.Slides.V1.Model.TableBorderRow.t)`, *default:* `nil`) - Properties of vertical cell borders. A table's vertical cell borders are represented as a grid. The grid has the same number of rows as the table and one more column than the number of columns in the table. For example, if the table is 3 x 3, its vertical borders will be represented as a grid with 3 rows and 4 columns.","ref":"GoogleApi.Slides.V1.Model.Table.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Table.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Table.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Table.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Table.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TableBorderCell","doc":"The properties of each border cell.","ref":"GoogleApi.Slides.V1.Model.TableBorderCell.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TableBorderCell","doc":"*   `location` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The location of the border within the border table.\n*   `tableBorderProperties` (*type:* `GoogleApi.Slides.V1.Model.TableBorderProperties.t`, *default:* `nil`) - The border properties.","ref":"GoogleApi.Slides.V1.Model.TableBorderCell.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TableBorderCell.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableBorderCell.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TableBorderCell.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TableBorderCell.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TableBorderFill","doc":"The fill of the border.","ref":"GoogleApi.Slides.V1.Model.TableBorderFill.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TableBorderFill","doc":"*   `solidFill` (*type:* `GoogleApi.Slides.V1.Model.SolidFill.t`, *default:* `nil`) - Solid fill.","ref":"GoogleApi.Slides.V1.Model.TableBorderFill.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TableBorderFill.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableBorderFill.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TableBorderFill.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TableBorderFill.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TableBorderProperties","doc":"The border styling properties of the TableBorderCell.","ref":"GoogleApi.Slides.V1.Model.TableBorderProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TableBorderProperties","doc":"*   `dashStyle` (*type:* `String.t`, *default:* `nil`) - The dash style of the border.\n*   `tableBorderFill` (*type:* `GoogleApi.Slides.V1.Model.TableBorderFill.t`, *default:* `nil`) - The fill of the table border.\n*   `weight` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - The thickness of the border.","ref":"GoogleApi.Slides.V1.Model.TableBorderProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TableBorderProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableBorderProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TableBorderProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TableBorderProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TableBorderRow","doc":"Contents of each border row in a table.","ref":"GoogleApi.Slides.V1.Model.TableBorderRow.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TableBorderRow","doc":"*   `tableBorderCells` (*type:* `list(GoogleApi.Slides.V1.Model.TableBorderCell.t)`, *default:* `nil`) - Properties of each border cell. When a border's adjacent table cells are merged, it is not included in the response.","ref":"GoogleApi.Slides.V1.Model.TableBorderRow.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TableBorderRow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableBorderRow.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TableBorderRow.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TableBorderRow.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TableCell","doc":"Properties and contents of each table cell.","ref":"GoogleApi.Slides.V1.Model.TableCell.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TableCell","doc":"*   `columnSpan` (*type:* `integer()`, *default:* `nil`) - Column span of the cell.\n*   `location` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The location of the cell within the table.\n*   `rowSpan` (*type:* `integer()`, *default:* `nil`) - Row span of the cell.\n*   `tableCellProperties` (*type:* `GoogleApi.Slides.V1.Model.TableCellProperties.t`, *default:* `nil`) - The properties of the table cell.\n*   `text` (*type:* `GoogleApi.Slides.V1.Model.TextContent.t`, *default:* `nil`) - The text content of the cell.","ref":"GoogleApi.Slides.V1.Model.TableCell.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TableCell.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableCell.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TableCell.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TableCell.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill","doc":"The table cell background fill.","ref":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TableCellBackgroundFill","doc":"*   `propertyState` (*type:* `String.t`, *default:* `nil`) - The background fill property state. Updating the fill on a table cell will implicitly update this field to `RENDERED`, unless another value is specified in the same request. To have no fill on a table cell, set this field to `NOT_RENDERED`. In this case, any other fill fields set in the same request will be ignored.\n*   `solidFill` (*type:* `GoogleApi.Slides.V1.Model.SolidFill.t`, *default:* `nil`) - Solid color fill.","ref":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TableCellBackgroundFill.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TableCellLocation","doc":"A location of a single table cell within a table.","ref":"GoogleApi.Slides.V1.Model.TableCellLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TableCellLocation","doc":"*   `columnIndex` (*type:* `integer()`, *default:* `nil`) - The 0-based column index.\n*   `rowIndex` (*type:* `integer()`, *default:* `nil`) - The 0-based row index.","ref":"GoogleApi.Slides.V1.Model.TableCellLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TableCellLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableCellLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TableCellLocation.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TableCellLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TableCellProperties","doc":"The properties of the TableCell.","ref":"GoogleApi.Slides.V1.Model.TableCellProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TableCellProperties","doc":"*   `contentAlignment` (*type:* `String.t`, *default:* `nil`) - The alignment of the content in the table cell. The default alignment matches the alignment for newly created table cells in the Slides editor.\n*   `tableCellBackgroundFill` (*type:* `GoogleApi.Slides.V1.Model.TableCellBackgroundFill.t`, *default:* `nil`) - The background fill of the table cell. The default fill matches the fill for newly created table cells in the Slides editor.","ref":"GoogleApi.Slides.V1.Model.TableCellProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TableCellProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableCellProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TableCellProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TableCellProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TableColumnProperties","doc":"Properties of each column in a table.","ref":"GoogleApi.Slides.V1.Model.TableColumnProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TableColumnProperties","doc":"*   `columnWidth` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - Width of a column.","ref":"GoogleApi.Slides.V1.Model.TableColumnProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TableColumnProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableColumnProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TableColumnProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TableColumnProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TableRange","doc":"A table range represents a reference to a subset of a table. It's important to note that the cells specified by a table range do not necessarily form a rectangle. For example, let's say we have a 3 x 3 table where all the cells of the last row are merged together. The table looks like this: [ ] A table range with location = (0, 0), row span = 3 and column span = 2 specifies the following cells: x x [ x x x ]","ref":"GoogleApi.Slides.V1.Model.TableRange.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TableRange","doc":"*   `columnSpan` (*type:* `integer()`, *default:* `nil`) - The column span of the table range.\n*   `location` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The starting location of the table range.\n*   `rowSpan` (*type:* `integer()`, *default:* `nil`) - The row span of the table range.","ref":"GoogleApi.Slides.V1.Model.TableRange.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TableRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableRange.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TableRange.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TableRange.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TableRow","doc":"Properties and contents of each row in a table.","ref":"GoogleApi.Slides.V1.Model.TableRow.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TableRow","doc":"*   `rowHeight` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - Height of a row.\n*   `tableCells` (*type:* `list(GoogleApi.Slides.V1.Model.TableCell.t)`, *default:* `nil`) - Properties and contents of each cell. Cells that span multiple columns are represented only once with a column_span greater than 1. As a result, the length of this collection does not always match the number of columns of the entire table.\n*   `tableRowProperties` (*type:* `GoogleApi.Slides.V1.Model.TableRowProperties.t`, *default:* `nil`) - Properties of the row.","ref":"GoogleApi.Slides.V1.Model.TableRow.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TableRow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableRow.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TableRow.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TableRow.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TableRowProperties","doc":"Properties of each row in a table.","ref":"GoogleApi.Slides.V1.Model.TableRowProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TableRowProperties","doc":"*   `minRowHeight` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - Minimum height of the row. The row will be rendered in the Slides editor at a height equal to or greater than this value in order to show all the text in the row's cell(s).","ref":"GoogleApi.Slides.V1.Model.TableRowProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TableRowProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TableRowProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TableRowProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TableRowProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TextContent","doc":"The general text content. The text must reside in a compatible shape (e.g. text box or rectangle) or a table cell in a page.","ref":"GoogleApi.Slides.V1.Model.TextContent.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TextContent","doc":"*   `lists` (*type:* `%{optional(String.t) => GoogleApi.Slides.V1.Model.List.t}`, *default:* `nil`) - The bulleted lists contained in this text, keyed by list ID.\n*   `textElements` (*type:* `list(GoogleApi.Slides.V1.Model.TextElement.t)`, *default:* `nil`) - The text contents broken down into its component parts, including styling information. This property is read-only.","ref":"GoogleApi.Slides.V1.Model.TextContent.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TextContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TextContent.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TextContent.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TextContent.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TextElement","doc":"A TextElement describes the content of a range of indices in the text content of a Shape or TableCell.","ref":"GoogleApi.Slides.V1.Model.TextElement.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TextElement","doc":"*   `autoText` (*type:* `GoogleApi.Slides.V1.Model.AutoText.t`, *default:* `nil`) - A TextElement representing a spot in the text that is dynamically replaced with content that can change over time.\n*   `endIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based end index of this text element, exclusive, in Unicode code units.\n*   `paragraphMarker` (*type:* `GoogleApi.Slides.V1.Model.ParagraphMarker.t`, *default:* `nil`) - A marker representing the beginning of a new paragraph. The `start_index` and `end_index` of this TextElement represent the range of the paragraph. Other TextElements with an index range contained inside this paragraph's range are considered to be part of this paragraph. The range of indices of two separate paragraphs will never overlap.\n*   `startIndex` (*type:* `integer()`, *default:* `nil`) - The zero-based start index of this text element, in Unicode code units.\n*   `textRun` (*type:* `GoogleApi.Slides.V1.Model.TextRun.t`, *default:* `nil`) - A TextElement representing a run of text where all of the characters in the run have the same TextStyle. The `start_index` and `end_index` of TextRuns will always be fully contained in the index range of a single `paragraph_marker` TextElement. In other words, a TextRun will never span multiple paragraphs.","ref":"GoogleApi.Slides.V1.Model.TextElement.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TextElement.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TextElement.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TextElement.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TextElement.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TextRun","doc":"A TextElement kind that represents a run of text that all has the same styling.","ref":"GoogleApi.Slides.V1.Model.TextRun.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TextRun","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - The text of this run.\n*   `style` (*type:* `GoogleApi.Slides.V1.Model.TextStyle.t`, *default:* `nil`) - The styling applied to this run.","ref":"GoogleApi.Slides.V1.Model.TextRun.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TextRun.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TextRun.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TextRun.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TextRun.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.TextStyle","doc":"Represents the styling that can be applied to a TextRun. If this text is contained in a shape with a parent placeholder, then these text styles may be inherited from the parent. Which text styles are inherited depend on the nesting level of lists: * A text run in a paragraph that is not in a list will inherit its text style from the the newline character in the paragraph at the 0 nesting level of the list inside the parent placeholder. * A text run in a paragraph that is in a list will inherit its text style from the newline character in the paragraph at its corresponding nesting level of the list inside the parent placeholder. Inherited text styles are represented as unset fields in this message. If text is contained in a shape without a parent placeholder, unsetting these fields will revert the style to a value matching the defaults in the Slides editor.","ref":"GoogleApi.Slides.V1.Model.TextStyle.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.TextStyle","doc":"*   `backgroundColor` (*type:* `GoogleApi.Slides.V1.Model.OptionalColor.t`, *default:* `nil`) - The background color of the text. If set, the color is either opaque or transparent, depending on if the `opaque_color` field in it is set.\n*   `baselineOffset` (*type:* `String.t`, *default:* `nil`) - The text's vertical offset from its normal position. Text with `SUPERSCRIPT` or `SUBSCRIPT` baseline offsets is automatically rendered in a smaller font size, computed based on the `font_size` field. The `font_size` itself is not affected by changes in this field.\n*   `bold` (*type:* `boolean()`, *default:* `nil`) - Whether or not the text is rendered as bold.\n*   `fontFamily` (*type:* `String.t`, *default:* `nil`) - The font family of the text. The font family can be any font from the Font menu in Slides or from [Google Fonts] (https://fonts.google.com/). If the font name is unrecognized, the text is rendered in `Arial`. Some fonts can affect the weight of the text. If an update request specifies values for both `font_family` and `bold`, the explicitly-set `bold` value is used.\n*   `fontSize` (*type:* `GoogleApi.Slides.V1.Model.Dimension.t`, *default:* `nil`) - The size of the text's font. When read, the `font_size` will specified in points.\n*   `foregroundColor` (*type:* `GoogleApi.Slides.V1.Model.OptionalColor.t`, *default:* `nil`) - The color of the text itself. If set, the color is either opaque or transparent, depending on if the `opaque_color` field in it is set.\n*   `italic` (*type:* `boolean()`, *default:* `nil`) - Whether or not the text is italicized.\n*   `link` (*type:* `GoogleApi.Slides.V1.Model.Link.t`, *default:* `nil`) - The hyperlink destination of the text. If unset, there is no link. Links are not inherited from parent text. Changing the link in an update request causes some other changes to the text style of the range: * When setting a link, the text foreground color will be set to ThemeColorType.HYPERLINK and the text will be underlined. If these fields are modified in the same request, those values will be used instead of the link defaults. * Setting a link on a text range that overlaps with an existing link will also update the existing link to point to the new URL. * Links are not settable on newline characters. As a result, setting a link on a text range that crosses a paragraph boundary, such as `\"ABC\\n123\"`, will separate the newline character(s) into their own text runs. The link will be applied separately to the runs before and after the newline. * Removing a link will update the text style of the range to match the style of the preceding text (or the default text styles if the preceding text is another link) unless different styles are being set in the same request.\n*   `smallCaps` (*type:* `boolean()`, *default:* `nil`) - Whether or not the text is in small capital letters.\n*   `strikethrough` (*type:* `boolean()`, *default:* `nil`) - Whether or not the text is struck through.\n*   `underline` (*type:* `boolean()`, *default:* `nil`) - Whether or not the text is underlined.\n*   `weightedFontFamily` (*type:* `GoogleApi.Slides.V1.Model.WeightedFontFamily.t`, *default:* `nil`) - The font family and rendered weight of the text. This field is an extension of `font_family` meant to support explicit font weights without breaking backwards compatibility. As such, when reading the style of a range of text, the value of `weighted_font_family#font_family` will always be equal to that of `font_family`. However, when writing, if both fields are included in the field mask (either explicitly or through the wildcard `\"*\"`), their values are reconciled as follows: * If `font_family` is set and `weighted_font_family` is not, the value of `font_family` is applied with weight `400` (\"normal\"). * If both fields are set, the value of `font_family` must match that of `weighted_font_family#font_family`. If so, the font family and weight of `weighted_font_family` is applied. Otherwise, a 400 bad request error is returned. * If `weighted_font_family` is set and `font_family` is not, the font family and weight of `weighted_font_family` is applied. * If neither field is set, the font family and weight of the text inherit from the parent. Note that these properties cannot inherit separately from each other. If an update request specifies values for both `weighted_font_family` and `bold`, the `weighted_font_family` is applied first, then `bold`. If `weighted_font_family#weight` is not set, it defaults to `400`. If `weighted_font_family` is set, then `weighted_font_family#font_family` must also be set with a non-empty value. Otherwise, a 400 bad request error is returned.","ref":"GoogleApi.Slides.V1.Model.TextStyle.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.TextStyle.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.TextStyle.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.TextStyle.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.TextStyle.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.ThemeColorPair","doc":"A pair mapping a theme color type to the concrete color it represents.","ref":"GoogleApi.Slides.V1.Model.ThemeColorPair.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.ThemeColorPair","doc":"*   `color` (*type:* `GoogleApi.Slides.V1.Model.RgbColor.t`, *default:* `nil`) - The concrete color corresponding to the theme color type above.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the theme color.","ref":"GoogleApi.Slides.V1.Model.ThemeColorPair.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.ThemeColorPair.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.ThemeColorPair.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.ThemeColorPair.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.ThemeColorPair.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Thumbnail","doc":"The thumbnail of a page.","ref":"GoogleApi.Slides.V1.Model.Thumbnail.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Thumbnail","doc":"*   `contentUrl` (*type:* `String.t`, *default:* `nil`) - The content URL of the thumbnail image. The URL to the image has a default lifetime of 30 minutes. This URL is tagged with the account of the requester. Anyone with the URL effectively accesses the image as the original requester. Access to the image may be lost if the presentation's sharing settings change. The mime type of the thumbnail image is the same as specified in the `GetPageThumbnailRequest`.\n*   `height` (*type:* `integer()`, *default:* `nil`) - The positive height in pixels of the thumbnail image.\n*   `width` (*type:* `integer()`, *default:* `nil`) - The positive width in pixels of the thumbnail image.","ref":"GoogleApi.Slides.V1.Model.Thumbnail.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Thumbnail.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Thumbnail.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Thumbnail.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Thumbnail.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest","doc":"Ungroups objects, such as groups.","ref":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UngroupObjectsRequest","doc":"*   `objectIds` (*type:* `list(String.t)`, *default:* `nil`) - The object IDs of the objects to ungroup. Only groups that are not inside other groups can be ungrouped. All the groups should be on the same page. The group itself is deleted. The visual sizes and positions of all the children are preserved.","ref":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UngroupObjectsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest","doc":"Unmerges cells in a Table.","ref":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest","doc":"*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the table.\n*   `tableRange` (*type:* `GoogleApi.Slides.V1.Model.TableRange.t`, *default:* `nil`) - The table range specifying which cells of the table to unmerge. All merged cells in this range will be unmerged, and cells that are already unmerged will not be affected. If the range has no merged cells, the request will do nothing. If there is text in any of the merged cells, the text will remain in the upper-left (\"head\") cell of the resulting block of unmerged cells.","ref":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UnmergeTableCellsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest","doc":"Update the properties of an Image.","ref":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `imageProperties` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the image outline color, set `fields` to `\"outline.outlineFill.solidFill.color\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `imageProperties` (*type:* `GoogleApi.Slides.V1.Model.ImageProperties.t`, *default:* `nil`) - The image properties to update.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the image the updates are applied to.","ref":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateImagePropertiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest","doc":"Updates the category of a line.","ref":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest","doc":"*   `lineCategory` (*type:* `String.t`, *default:* `nil`) - The line category to update to. The exact line type is determined based on the category to update to and how it's routed to connect to other page elements.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the line the update is applied to. Only a line with a category indicating it is a \"connector\" can be updated. The line may be rerouted after updating its category.","ref":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateLineCategoryRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest","doc":"Updates the properties of a Line.","ref":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `lineProperties` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the line solid fill color, set `fields` to `\"lineFill.solidFill.color\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `lineProperties` (*type:* `GoogleApi.Slides.V1.Model.LineProperties.t`, *default:* `nil`) - The line properties to update.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the line the update is applied to.","ref":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateLinePropertiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest","doc":"Updates the alt text title and/or description of a page element.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - The updated alt text description of the page element. If unset the existing value will be maintained. The description is exposed to screen readers and other accessibility interfaces. Only use human readable values related to the content of the page element.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the page element the updates are applied to.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The updated alt text title of the page element. If unset the existing value will be maintained. The title is exposed to screen readers and other accessibility interfaces. Only use human readable values related to the content of the page element.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementAltTextRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest","doc":"Updates the transform of a page element. Updating the transform of a group will change the absolute transform of the page elements in that group, which can change their visual appearance. See the documentation for PageElement.transform for more details.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest","doc":"*   `applyMode` (*type:* `String.t`, *default:* `nil`) - The apply mode of the transform update.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the page element to update.\n*   `transform` (*type:* `GoogleApi.Slides.V1.Model.AffineTransform.t`, *default:* `nil`) - The input transform matrix used to update the page element.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementTransformRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest","doc":"Updates the Z-order of page elements. Z-order is an ordering of the elements on the page from back to front. The page element in the front may cover the elements that are behind it.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest","doc":"*   `operation` (*type:* `String.t`, *default:* `nil`) - The Z-order operation to apply on the page elements. When applying the operation on multiple page elements, the relative Z-orders within these page elements before the operation is maintained.\n*   `pageElementObjectIds` (*type:* `list(String.t)`, *default:* `nil`) - The object IDs of the page elements to update. All the page elements must be on the same page and must not be grouped.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdatePageElementsZOrderRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest","doc":"Updates the properties of a Page.","ref":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `pageProperties` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the page background solid fill color, set `fields` to `\"pageBackgroundFill.solidFill.color\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the page the update is applied to.\n*   `pageProperties` (*type:* `GoogleApi.Slides.V1.Model.PageProperties.t`, *default:* `nil`) - The page properties to update.","ref":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdatePagePropertiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest","doc":"Updates the styling for all of the paragraphs within a Shape or Table that overlap with the given text index range.","ref":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest","doc":"*   `cellLocation` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The location of the cell in the table containing the paragraph(s) to style. If `object_id` refers to a table, `cell_location` must have a value. Otherwise, it must not.\n*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `style` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example, to update the paragraph alignment, set `fields` to `\"alignment\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the shape or table with the text to be styled.\n*   `style` (*type:* `GoogleApi.Slides.V1.Model.ParagraphStyle.t`, *default:* `nil`) - The paragraph's style.\n*   `textRange` (*type:* `GoogleApi.Slides.V1.Model.Range.t`, *default:* `nil`) - The range of text containing the paragraph(s) to style.","ref":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateParagraphStyleRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest","doc":"Update the properties of a Shape.","ref":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `shapeProperties` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the shape background solid fill color, set `fields` to `\"shapeBackgroundFill.solidFill.color\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the shape the updates are applied to.\n*   `shapeProperties` (*type:* `GoogleApi.Slides.V1.Model.ShapeProperties.t`, *default:* `nil`) - The shape properties to update.","ref":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateShapePropertiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateSlidePropertiesRequest","doc":"Updates the properties of a Slide.","ref":"GoogleApi.Slides.V1.Model.UpdateSlidePropertiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateSlidePropertiesRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root 'slideProperties' is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update whether a slide is skipped, set `fields` to `\"isSkipped\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the slide the update is applied to.\n*   `slideProperties` (*type:* `GoogleApi.Slides.V1.Model.SlideProperties.t`, *default:* `nil`) - The slide properties to update.","ref":"GoogleApi.Slides.V1.Model.UpdateSlidePropertiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateSlidePropertiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateSlidePropertiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateSlidePropertiesRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateSlidePropertiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest","doc":"Updates the position of slides in the presentation.","ref":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest","doc":"*   `insertionIndex` (*type:* `integer()`, *default:* `nil`) - The index where the slides should be inserted, based on the slide arrangement before the move takes place. Must be between zero and the number of slides in the presentation, inclusive.\n*   `slideObjectIds` (*type:* `list(String.t)`, *default:* `nil`) - The IDs of the slides in the presentation that should be moved. The slides in this list must be in existing presentation order, without duplicates.","ref":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateSlidesPositionRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest","doc":"Updates the properties of the table borders in a Table.","ref":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest","doc":"*   `borderPosition` (*type:* `String.t`, *default:* `nil`) - The border position in the table range the updates should apply to. If a border position is not specified, the updates will apply to all borders in the table range.\n*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `tableBorderProperties` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the table border solid fill color, set `fields` to `\"tableBorderFill.solidFill.color\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the table.\n*   `tableBorderProperties` (*type:* `GoogleApi.Slides.V1.Model.TableBorderProperties.t`, *default:* `nil`) - The table border properties to update.\n*   `tableRange` (*type:* `GoogleApi.Slides.V1.Model.TableRange.t`, *default:* `nil`) - The table range representing the subset of the table to which the updates are applied. If a table range is not specified, the updates will apply to the entire table.","ref":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateTableBorderPropertiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest","doc":"Update the properties of a TableCell.","ref":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `tableCellProperties` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the table cell background solid fill color, set `fields` to `\"tableCellBackgroundFill.solidFill.color\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the table.\n*   `tableCellProperties` (*type:* `GoogleApi.Slides.V1.Model.TableCellProperties.t`, *default:* `nil`) - The table cell properties to update.\n*   `tableRange` (*type:* `GoogleApi.Slides.V1.Model.TableRange.t`, *default:* `nil`) - The table range representing the subset of the table to which the updates are applied. If a table range is not specified, the updates will apply to the entire table.","ref":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateTableCellPropertiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest","doc":"Updates the properties of a Table column.","ref":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest","doc":"*   `columnIndices` (*type:* `list(integer())`, *default:* `nil`) - The list of zero-based indices specifying which columns to update. If no indices are provided, all columns in the table will be updated.\n*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `tableColumnProperties` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the column width, set `fields` to `\"column_width\"`. If '\"column_width\"' is included in the field mask but the property is left unset, the column width will default to 406,400 EMU (32 points).\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the table.\n*   `tableColumnProperties` (*type:* `GoogleApi.Slides.V1.Model.TableColumnProperties.t`, *default:* `nil`) - The table column properties to update. If the value of `table_column_properties#column_width` in the request is less than 406,400 EMU (32 points), a 400 bad request error is returned.","ref":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateTableColumnPropertiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest","doc":"Updates the properties of a Table row.","ref":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `tableRowProperties` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the minimum row height, set `fields` to `\"min_row_height\"`. If '\"min_row_height\"' is included in the field mask but the property is left unset, the minimum row height will default to 0.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the table.\n*   `rowIndices` (*type:* `list(integer())`, *default:* `nil`) - The list of zero-based indices specifying which rows to update. If no indices are provided, all rows in the table will be updated.\n*   `tableRowProperties` (*type:* `GoogleApi.Slides.V1.Model.TableRowProperties.t`, *default:* `nil`) - The table row properties to update.","ref":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateTableRowPropertiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest","doc":"Update the styling of text in a Shape or Table.","ref":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateTextStyleRequest","doc":"*   `cellLocation` (*type:* `GoogleApi.Slides.V1.Model.TableCellLocation.t`, *default:* `nil`) - The location of the cell in the table containing the text to style. If `object_id` refers to a table, `cell_location` must have a value. Otherwise, it must not.\n*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `style` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example, to update the text style to bold, set `fields` to `\"bold\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the shape or table with the text to be styled.\n*   `style` (*type:* `GoogleApi.Slides.V1.Model.TextStyle.t`, *default:* `nil`) - The style(s) to set on the text. If the value for a particular style matches that of the parent, that style will be set to inherit. Certain text style changes may cause other changes meant to mirror the behavior of the Slides editor. See the documentation of TextStyle for more information.\n*   `textRange` (*type:* `GoogleApi.Slides.V1.Model.Range.t`, *default:* `nil`) - The range of text to style. The range may be extended to include adjacent newlines. If the range fully contains a paragraph belonging to a list, the paragraph's bullet is also updated with the matching text style.","ref":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateTextStyleRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest","doc":"Update the properties of a Video.","ref":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest","doc":"*   `fields` (*type:* `String.t`, *default:* `nil`) - The fields that should be updated. At least one field must be specified. The root `videoProperties` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the video outline color, set `fields` to `\"outline.outlineFill.solidFill.color\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.\n*   `objectId` (*type:* `String.t`, *default:* `nil`) - The object ID of the video the updates are applied to.\n*   `videoProperties` (*type:* `GoogleApi.Slides.V1.Model.VideoProperties.t`, *default:* `nil`) - The video properties to update.","ref":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.UpdateVideoPropertiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.Video","doc":"A PageElement kind representing a video.","ref":"GoogleApi.Slides.V1.Model.Video.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.Video","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - The video source's unique identifier for this video.\n*   `source` (*type:* `String.t`, *default:* `nil`) - The video source.\n*   `url` (*type:* `String.t`, *default:* `nil`) - An URL to a video. The URL is valid as long as the source video exists and sharing settings do not change.\n*   `videoProperties` (*type:* `GoogleApi.Slides.V1.Model.VideoProperties.t`, *default:* `nil`) - The properties of the video.","ref":"GoogleApi.Slides.V1.Model.Video.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.Video.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.Video.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.Video.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.Video.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.VideoProperties","doc":"The properties of the Video.","ref":"GoogleApi.Slides.V1.Model.VideoProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.VideoProperties","doc":"*   `autoPlay` (*type:* `boolean()`, *default:* `nil`) - Whether to enable video autoplay when the page is displayed in present mode. Defaults to false.\n*   `end` (*type:* `integer()`, *default:* `nil`) - The time at which to end playback, measured in seconds from the beginning of the video. If set, the end time should be after the start time. If not set or if you set this to a value that exceeds the video's length, the video will be played until its end.\n*   `mute` (*type:* `boolean()`, *default:* `nil`) - Whether to mute the audio during video playback. Defaults to false.\n*   `outline` (*type:* `GoogleApi.Slides.V1.Model.Outline.t`, *default:* `nil`) - The outline of the video. The default outline matches the defaults for new videos created in the Slides editor.\n*   `start` (*type:* `integer()`, *default:* `nil`) - The time at which to start playback, measured in seconds from the beginning of the video. If set, the start time should be before the end time. If you set this to a value that exceeds the video's length in seconds, the video will be played from the last second. If not set, the video will be played from the beginning.","ref":"GoogleApi.Slides.V1.Model.VideoProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.VideoProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.VideoProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.VideoProperties.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.VideoProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.WeightedFontFamily","doc":"Represents a font family and weight used to style a TextRun.","ref":"GoogleApi.Slides.V1.Model.WeightedFontFamily.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.WeightedFontFamily","doc":"*   `fontFamily` (*type:* `String.t`, *default:* `nil`) - The font family of the text. The font family can be any font from the Font menu in Slides or from [Google Fonts] (https://fonts.google.com/). If the font name is unrecognized, the text is rendered in `Arial`.\n*   `weight` (*type:* `integer()`, *default:* `nil`) - The rendered weight of the text. This field can have any value that is a multiple of `100` between `100` and `900`, inclusive. This range corresponds to the numerical values described in the CSS 2.1 Specification, [section 15.6](https://www.w3.org/TR/CSS21/fonts.html#font-boldness), with non-numerical values disallowed. Weights greater than or equal to `700` are considered bold, and weights less than `700`are not bold. The default value is `400` (\"normal\").","ref":"GoogleApi.Slides.V1.Model.WeightedFontFamily.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.WeightedFontFamily.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.WeightedFontFamily.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.WeightedFontFamily.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.WeightedFontFamily.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.WordArt","doc":"A PageElement kind representing word art.","ref":"GoogleApi.Slides.V1.Model.WordArt.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.WordArt","doc":"*   `renderedText` (*type:* `String.t`, *default:* `nil`) - The text rendered as word art.","ref":"GoogleApi.Slides.V1.Model.WordArt.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.WordArt.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.WordArt.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.WordArt.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.WordArt.html#t:t/0"},{"type":"module","title":"GoogleApi.Slides.V1.Model.WriteControl","doc":"Provides control over how write requests are executed.","ref":"GoogleApi.Slides.V1.Model.WriteControl.html"},{"type":"module","title":"Attributes - GoogleApi.Slides.V1.Model.WriteControl","doc":"*   `requiredRevisionId` (*type:* `String.t`, *default:* `nil`) - The revision ID of the presentation required for the write request. If specified and the required revision ID doesn't match the presentation's current revision ID, the request is not processed and returns a 400 bad request error. When a required revision ID is returned in a response, it indicates the revision ID of the document after the request was applied.","ref":"GoogleApi.Slides.V1.Model.WriteControl.html#module-attributes"},{"type":"function","title":"GoogleApi.Slides.V1.Model.WriteControl.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Slides.V1.Model.WriteControl.html#decode/2"},{"type":"type","title":"GoogleApi.Slides.V1.Model.WriteControl.t/0","doc":"","ref":"GoogleApi.Slides.V1.Model.WriteControl.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}